﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Linq;
using System.ServiceProcess;
using System.Text;
using Dart.Sockets;

namespace AETService
{
    public partial class AETService : ServiceBase
    {
        public gDataClass theData = new gDataClass();

        public AETService()
        {
            InitializeComponent();
        }

        protected override void OnStart(string[] args)
        {
            bool useAsync = false;
            //DEBUG: Override install setting for testing/debugging
            //TODO: Remove / comment out this section before production build
            /*
            theData.ZipServer = "vm-dev-m01";
            theData.ZipUser = "sa";
            theData.ZipPassword = "megas_2006";

            theData.AnsiServer = "vm-dev-m01";
            theData.AnsiDatabase = "ANSI5010VA";
            theData.AnsiUser= "sa";
            theData.AnsiPassword = "megas_2006";

            theData.LogServer = "vm-dev-m01";
            theData.LogDatabase = "Va_Audit";
            theData.LogUser = "sa";
            theData.LogPassword = "megas_2006";
            */
            
            theData.TraceEnabled = true;



            //this.CCC.Start(new ConnectThreadStart(CCCacceptConnection), theData.CtlPort, useAsync);
            this.BLC.Start(new ConnectThreadStart(BLCacceptConnection), theData.AETPort, useAsync);

            string sMsg = String.Format("CtlPort={0}\r\nAETPort:{1}\r\nServer:{2}\r\nOS:{3}", theData.CtlPort, theData.AETPort, theData.GetComputerName(), theData.GetProcessor());
            System.Diagnostics.EventLog.WriteEntry("AETService", sMsg, System.Diagnostics.EventLogEntryType.Information);
        }

        protected override void OnStop()
        {
            this.BLC.Abort();
            //this.CCC.Abort();
            System.Diagnostics.EventLog.WriteEntry("AETService", "OnStop OK", System.Diagnostics.EventLogEntryType.Information);
        }

        private void CCCacceptConnection(TcpBase connection, object state)
        {
            bool useAsync = Convert.ToBoolean(state);
            CCCServer ccc = new CCCServer();
            ccc.Start(connection, theData);
        }
        private void BLCacceptConnection(TcpBase connection, object state)
        {
            bool useAsync = Convert.ToBoolean(state);
            
            //int i =connection.GetHashCode();
            BLCServer blc = new BLCServer();
            blc.Start(connection, theData);
        }
     
    
        private void CCC_ConnectionsChanged(object sender, ConnectionsChangedEventArgs e)
        {
            System.Diagnostics.EventLog.WriteEntry("AETService", "CCC_ConnectionsChanged!", System.Diagnostics.EventLogEntryType.Information);
        }

        private void BLC_ConnectionsChanged(object sender, ConnectionsChangedEventArgs e)
        {
            System.Diagnostics.EventLog.WriteEntry("AETService", "BCL_ConnectionsChanged!", System.Diagnostics.EventLogEntryType.Information);
        }
    }
}
