CREATE TABLE MessageDetail (
	MessageDetailId  int not null primary key identity(1,1),
	RequestId   int not null,
	ResponseId  int not null,
	RequestDate  datetime null,
	EventDate    datetime null,
	AdmissionDate    datetime null,
	IssueDate    datetime null,
	AuthorizeId	varchar(50) null,
	FromDate 	datetime not null,
	ToDate		datetime null,
	RequesterCode   varchar(50) null,
	RequesterOrgName   varchar(250) null,
	RequesterFirstName   varchar(250) null,
	RequesterLastName   varchar(250) null,

	SubscriberCode   varchar(50) null,
	SubscriberOrgOrLastName   varchar(250) null,
	SubscriberFirstName   varchar(100) null,
	SubscriberMiddleName   varchar(50) null,
	SubscriberPrefix   varchar(50) null,
	SubscriberSuffix   varchar(50) null,

	DependentCode   varchar(50) null,
	DependentOrgOrLastName   varchar(250) null,
	DependentFirstName   varchar(100) null,
	DependentRelationship   varchar(100) null,

	PatientId	int null,
	PatientEIN	varchar(50) not null,
	FirstName	varchar(100) null,
	LastName	varchar(100) null,
	MiddleName	varchar(100) null,
	Address1	varchar(200) null,
	Address2	varchar(200) null,
	City	varchar(100) null,
	State	varchar(100) null,
	Zip	varchar(50) null,
	CountryCode	varchar(50) null,
	Birthday	date null,
	ServiceTypeCode   varchar(50) null,
	CauseCode   varchar(50) null,
	Gender            varchar(50) null

)