package va.gov.domain;

import java.lang.reflect.Type;

import com.google.gson.JsonArray;
import com.google.gson.JsonElement;
import com.google.gson.JsonObject;
import com.google.gson.JsonSerializationContext;
import com.google.gson.JsonSerializer;

import va.gov.jpa.dto.ARPSQueueCodes;
import va.gov.jpa.dto.Institution;



public class InstitutionAdapter implements JsonSerializer<Institution>{

	
	
	    public JsonElement serialize(Institution sp, Type type, JsonSerializationContext jsc) {
	    	
	    	JsonArray jarray = new JsonArray();
	    	
	    	
	        JsonObject jsonObject = new JsonObject();
	        jsonObject.addProperty("id", sp.getId());
	        jsonObject.addProperty("stationNo", sp.getStation());
	        jsonObject.addProperty("staName", sp.getInstitutionName());
	        jsonObject.addProperty("stacode", sp.getInstitutionCode());
	        
	        
	        return jsonObject;      
	    }
	}
	

