//package va.gov.util;
//
//public class Code {
//
//    private static IDENTIFIER_LIST ListInit(string name)
//    {
//       IDENTIFIER_LIST list = null;
//
//       switch (name)
//       {
//          case "AcknowledgmentRequested"extends list = new AcknowledgmentRequested(); break;
//          case "ActionCode"extends list = new ActionCode(); break;
//          case "AmbulanceTransportCode"extends list = new AmbulanceTransportCode(); break;
//          case "AmbulanceTransportReasonCode"extends list = new AmbulanceTransportReasonCode(); break;
//          case "AuthorizationInformationQualifier"extends list = new AuthorizationInformationQualifier(); break;
//          case "CertificationTypeCode"extends list = new CertificationTypeCode(); break;
//          case "CodeCategory"extends list = new CodeCategory(); break;
//          case "CodeListQualifierCode"extends list = new CodeListQualifierCode(); break;
//          case "CommunicationNumberQualifier"extends list = new CommunicationNumberQualifier(); break;
//          case "ConditionIndicator"extends list = new ConditionIndicator(); break;
//          case "ContactFunctionCode"extends list = new ContactFunctionCode(); break;
//          case "CurrentHealthConditionCode"extends list = new CurrentHealthConditionCode(); break;
//          case "DateTimePeriodFormatQualifier"extends list = new DateTimePeriodFormatQualifier(); break;
//          case "DateTimeQualifier"extends list = new DateTimeQualifier(); break;
//          case "DelayReasonCode"extends list = new DelayReasonCode(); break;
//          case "EmploymentStatusCode"extends list = new EmploymentStatusCode(); break;
//          case "EntityIdentifierCode"extends list = new EntityIdentifierCode(); break;
//          case "EntityTypeQualifier"extends list = new EntityTypeQualifier(); break;
//          case "FacilityCodeQualifier"extends list = new FacilityCodeQualifier(); break;
//          case "FollowUpActionCode"extends list = new FollowUpActionCode(); break;
//          case "GenderCode"extends list = new GenderCode(); break;
//          case "HierarchicalChildCode"extends list = new HierarchicalChildCode(); break;
//          case "HierarchicalLevelCode"extends list = new HierarchicalLevelCode(); break;
//          case "HierarchicalStructureCode"extends list = new HierarchicalStructureCode(); break;
//          case "IdentificationCodeQualifier"extends list = new IdentificationCodeQualifier(); break;
//          case "IndividualRelationshipCode"extends list = new IndividualRelationshipCode(); break;
//          case "InterchangeControlVersionNumber"extends list = new InterchangeControlVersionNumber(); break;
//          case "InterchangeIdQualifier"extends list = new InterchangeIdQualifier(); break;
//          case "InterchangeUsageIndicator"extends list = new InterchangeUsageIndicator(); break;
//          case "LevelOfCareCode"extends list = new LevelOfCareCode(); break;
//          case "LevelOfServiceCode"extends list = new LevelOfServiceCode(); break;
//          case "LocationQualifier"extends list = new LocationQualifier(); break;
//          case "MedicareCoverageIndicator"extends list = new MedicareCoverageIndicator(); break;
//          case "NatureOfConditionCode"extends list = new NatureOfConditionCode(); break;
//          case "NursingHomeResidentialStatusCode"extends list = new NursingHomeResidentialStatusCode(); break;
//          case "OxygenDeliverySystemCode"extends list = new OxygenDeliverySystemCode(); break;
//          case "OxygenEquipmentTypeCode"extends list = new OxygenEquipmentTypeCode(); break;
//          case "OxygenTestConditionCode"extends list = new OxygenTestConditionCode(); break;
//          case "OxygenTestFindingsCode"extends list = new OxygenTestFindingsCode(); break;
//          case "PatientLocationCode"extends list = new PatientLocationCode(); break;
//          case "ProductServiceIdQualifier"extends list = new ProductServiceIdQualifier(); break;
//          case "PrognosisCode"extends list = new PrognosisCode(); break;
//          case "ProsthesisCrownOrInlayCode"extends list = new ProsthesisCrownOrInlayCode(); break;
//          case "ProviderCode"extends list = new ProviderCode(); break;
//          case "QuantityQualifier"extends list = new QuantityQualifier(); break;
//          case "ReferenceIdentificationQualifier"extends list = new ReferenceIdentificationQualifier(); break;
//          case "RejectReasonCode"extends list = new RejectReasonCode(); break;
//          case "RelatedCausesCode"extends list = new RelatedCausesCode(); break;
//          case "ReleaseOfInformationCode"extends list = new ReleaseOfInformationCode(); break;
//          case "ReportTransmissionCode"extends list = new ReportTransmissionCode(); break;
//          case "ReportTypeCode"extends list = new ReportTypeCode(); break;
//          case "RequestCategoryCode"extends list = new RequestCategoryCode(); break;
//          case "ResponsibleAgencyCode"extends list = new ResponsibleAgencyCode(); break;
//          case "SecurityInformationQualifier"extends list = new SecurityInformationQualifier(); break;
//          case "ServiceTypeCode"extends list = new ServiceTypeCode(); break;
//          case "ShipDeliveryOrCalendarPatternCode"extends list = new ShipDeliveryOrCalendarPatternCode(); break;
//          case "ShipDeliveryPatternTimeCode"extends list = new ShipDeliveryPatternTimeCode(); break;
//          case "SubluxationLevelCode"extends list = new SubluxationLevelCode(); break;
//          case "TimePeriodQualifier"extends list = new TimePeriodQualifier(); break;
//          case "ToothSurfaceCode"extends list = new ToothSurfaceCode(); break;
//          case "TraceTypeCode"extends list = new TraceTypeCode(); break;
//          case "TransactionSetIdentifierCode"extends list = new TransactionSetIdentifierCode(); break;
//          case "TransactionSetPurposeCode"extends list = new TransactionSetPurposeCode(); break;
//          case "TransactionTypeCode"extends list = new TransactionTypeCode(); break;
//          case "UnitOrBasisForMeasurementCode"extends list = new UnitOrBasisForMeasurementCode(); break;
//          case "VersionReleaseIndustryIdentifierCode"extends list = new VersionReleaseIndustryIdentifierCode(); break;
//          case "YesNoConditionOrResponseCode"extends list = new YesNoConditionOrResponseCode(); break;
//          defaultextends
//             //Code list was not found, code values must not be in standards document(s)
//             //cannot validate the code at this time
//             return null;
//       }
//
//       return list;
//    }
//
//    public static IDENTIFIER GetIdentifier(string name, string code)
//    {
//       IDENTIFIER_LIST list = ListInit(name);
//
//       if (list != null && list.Identifiers != null && !string.IsNullOrEmpty(code))
//       {
//          return list.GetIdentifier(code);
//       }
//
//       return null;
//    }
//
//    public static bool Validate(string name, IDENTIFIER identifier)
//    {
//       if (identifier == null) return true;
//
//       IDENTIFIER_LIST list = ListInit(name);
//
//       if (list != null && list.Identifiers != null && !string.IsNullOrEmpty(identifier.Code))
//       {
//          return list.Validate(identifier.Code);
//       }
//
//       return false;
//    }
// }
//
// public class AcknowledgmentRequested extends IDENTIFIER_LIST
// {
//    public AcknowledgmentRequested()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("0", "No Interchange Acknowledgment Requested"));
//       _identifiers.Add(new IDENTIFIER("1", "Interchange Acknowledgment Requested"));
//    }
// }
//
// public class ActionCode extends IDENTIFIER_LIST
// {
//    public ActionCode()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("51", "Complete"));
//       _identifiers.Add(new IDENTIFIER("71", "Term Expired"));
//       _identifiers.Add(new IDENTIFIER("A1", "Certified in total"));
//       _identifiers.Add(new IDENTIFIER("A2", "Certified - partial"));
//       _identifiers.Add(new IDENTIFIER("A3", "Not Certified"));
//       _identifiers.Add(new IDENTIFIER("A4", "Pended"));
//       _identifiers.Add(new IDENTIFIER("A6", "Modified"));
//       _identifiers.Add(new IDENTIFIER("C", "Cancelled"));
//       _identifiers.Add(new IDENTIFIER("CT", "Contact Payer"));
//       _identifiers.Add(new IDENTIFIER("NA", "No Action Required"));
//    }
// }
//
// public class AmbulanceTransportCode extends IDENTIFIER_LIST
// {
//    public AmbulanceTransportCode()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("I", "Initial Trip"));
//       _identifiers.Add(new IDENTIFIER("R", "Return Trip"));
//       _identifiers.Add(new IDENTIFIER("T", "Transfer Trip"));
//       _identifiers.Add(new IDENTIFIER("X", "Round Trip"));
//    }
// }
//
// public class AmbulanceTransportReasonCode extends IDENTIFIER_LIST
// {
//    public AmbulanceTransportReasonCode()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("A", "Patient was transported to nearest facility for care of symptoms, complaints, or both"));
//       _identifiers.Add(new IDENTIFIER("B", "Patient was transported for the benefit of a preferred physician"));
//       _identifiers.Add(new IDENTIFIER("C", "Patient was transported for the nearness of family members"));
//       _identifiers.Add(new IDENTIFIER("D", "Patient was transported for the care of a specialist or for availability of specialized equipment"));
//       _identifiers.Add(new IDENTIFIER("E", "Patient Transferred to Rehabilitation Facility"));
//       _identifiers.Add(new IDENTIFIER("F", "Patient Transferred to Residential Facility"));
//    }
// }
//
// public class AuthorizationInformationQualifier extends IDENTIFIER_LIST
// {
//    public AuthorizationInformationQualifier()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("00", "No Authorization Information Present"));
//       _identifiers.Add(new IDENTIFIER("03", "Additional Data Identification"));
//    }
// }
//
// public class CertificationTypeCode extends IDENTIFIER_LIST
// {
//    public CertificationTypeCode()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("1", "Appeal - Immediate"));
//       _identifiers.Add(new IDENTIFIER("2", "Appeal - Standard"));
//       _identifiers.Add(new IDENTIFIER("3", "Cancel"));
//       _identifiers.Add(new IDENTIFIER("4", "Extension"));
//       _identifiers.Add(new IDENTIFIER("5", "Notification"));
//       _identifiers.Add(new IDENTIFIER("6", "Verification"));
//       _identifiers.Add(new IDENTIFIER("I", "Initial"));
//       _identifiers.Add(new IDENTIFIER("N", "Reconsideration"));
//       _identifiers.Add(new IDENTIFIER("R", "Renewal"));
//       _identifiers.Add(new IDENTIFIER("S", "Revised"));
//    }
// }
//
// public class CodeCategory extends IDENTIFIER_LIST
// {
//    public CodeCategory()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("08", "Chiropractic Certification"));
//       _identifiers.Add(new IDENTIFIER("09", "Durable Medical Equipment Certification"));
//       _identifiers.Add(new IDENTIFIER("11", "Oxygen Therapy Certification"));
//       _identifiers.Add(new IDENTIFIER("75", "Functional Limitations"));
//       _identifiers.Add(new IDENTIFIER("76", "Activities Permitted"));
//       _identifiers.Add(new IDENTIFIER("77", "Mental Status"));
//    }
// }
//
// public class CodeListQualifierCode extends IDENTIFIER_LIST
// {
//    public CodeListQualifierCode()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("ABF", "International Classification of Diseases Clinical Modification (ICD-10-CM) Diagnosis"));
//       _identifiers.Add(new IDENTIFIER("ABJ", "International Classification of Diseases Clinical Modification (ICD-10-CM) Admitting Diagnosis"));
//       _identifiers.Add(new IDENTIFIER("ABK", "International Classification of Diseases Clinical Modification (ICD-10-CM) Principal Diagnosis"));
//       _identifiers.Add(new IDENTIFIER("APR", "International Classification of Diseases Clinical Modification (ICD-10-CM) Patients Reason for Visit"));
//       _identifiers.Add(new IDENTIFIER("BF", "International Classification of Diseases Clinical Modification (ICD-9-CM) Diagnosis"));
//       _identifiers.Add(new IDENTIFIER("BJ", "International Classification of Diseases Clinical Modification (ICD-9-CM) Admitting Diagnosis"));
//       _identifiers.Add(new IDENTIFIER("BK", "International Classification of Diseases Clinical Modification (ICD-9-CM) Principal Diagnosis"));
//       _identifiers.Add(new IDENTIFIER("DR", "Diagnosis Related Group"));
//       _identifiers.Add(new IDENTIFIER("JP", "Universal National Tooth Designation System"));
//       _identifiers.Add(new IDENTIFIER("LOI", "Logical Observation Identifier Names and Codes"));
//       _identifiers.Add(new IDENTIFIER("PR", "International Classification of Diseases Clinical Modification (ICD-9-CM) Patients Reason for Visit"));
//    }
// }
//
// public class CommunicationNumberQualifier extends IDENTIFIER_LIST
// {
//    public CommunicationNumberQualifier()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("EM", "Electronic Mail"));
//       _identifiers.Add(new IDENTIFIER("EX", "Telephone Extension"));
//       _identifiers.Add(new IDENTIFIER("FX", "Facsimile"));
//       _identifiers.Add(new IDENTIFIER("TE", "Telephone"));
//       _identifiers.Add(new IDENTIFIER("UR", "Uniform Resource Locator"));
//    }
// }
//
// public class ConditionIndicator extends IDENTIFIER_LIST
// {
//    public ConditionIndicator()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("01", "Patient was admitted to a hospital"));
//       _identifiers.Add(new IDENTIFIER("02", "Patient was bed confined before the ambulance service"));
//       _identifiers.Add(new IDENTIFIER("03", "Patient was bed confined after the ambulance service"));
//       _identifiers.Add(new IDENTIFIER("04", "Patient was moved by stretcher"));
//       _identifiers.Add(new IDENTIFIER("05", "Patient was unconscious or in shock"));
//       _identifiers.Add(new IDENTIFIER("06", "Patient was transported in an emergency situation"));
//       _identifiers.Add(new IDENTIFIER("07", "Patient had to be physically restrained"));
//       _identifiers.Add(new IDENTIFIER("08", "Patient had visible hemorrhaging"));
//       _identifiers.Add(new IDENTIFIER("09", "Ambulance service was medically necessary"));
//       _identifiers.Add(new IDENTIFIER("10", "Patient is ambulatory"));
//       _identifiers.Add(new IDENTIFIER("11", "Ambulation is Impaired and Walking Aid is Used for Therapy or Mobility"));
//       _identifiers.Add(new IDENTIFIER("12", "Patient is confined to a bed or chair"));
//       _identifiers.Add(new IDENTIFIER("13", "Patient is Confined to a Room or an Area Without Bathroom Facilities"));
//       _identifiers.Add(new IDENTIFIER("14", "Ambulation is Impaired and Walking Aid is Used for Mobility"));
//       _identifiers.Add(new IDENTIFIER("15", "Patient Condition Requires Positioning of the Body or Attachments Which Would Not be Feasible With the Use of an Ordinary Bed"));
//       _identifiers.Add(new IDENTIFIER("16", "Patient needs a trapeze bar to sit up due to respiratory condition or change body positions for other medical reasons"));
//       _identifiers.Add(new IDENTIFIER("17", "Patients Ability to Breathe is Severely Impaired"));
//       _identifiers.Add(new IDENTIFIER("18", "Patient condition requires frequent and/or immediate changes in body positions"));
//       _identifiers.Add(new IDENTIFIER("19", "Patient can operate controls"));
//       _identifiers.Add(new IDENTIFIER("20", "Siderails Are to be Attached to a Hospital Bed Owned by the Beneficiary"));
//       _identifiers.Add(new IDENTIFIER("21", "Patient owns equipment"));
//       _identifiers.Add(new IDENTIFIER("22", "Mattress or Siderails are Being Used with Prescribed Medically Necessary Hospital Bed Owned by the Beneficiary"));
//       _identifiers.Add(new IDENTIFIER("23", "Patient Needs Lift to Get In or Out of Bed or to Assist in Transfer from Bed to Wheelchair"));
//       _identifiers.Add(new IDENTIFIER("24", "Patient has an orthopedic impairment requiring traction equipment which prevents ambulation during period of use"));
//       _identifiers.Add(new IDENTIFIER("25", "Item has been prescribed as part of a planned regimen of treatment in patient home"));
//       _identifiers.Add(new IDENTIFIER("26", "Patient is highly susceptible to decubitus ulcers"));
//       _identifiers.Add(new IDENTIFIER("27", "Patient or a care-giver has been instructed in use of equipment"));
//       _identifiers.Add(new IDENTIFIER("28", "Patient has poor diabetic control"));
//       _identifiers.Add(new IDENTIFIER("29", "A 6-7 hour nocturnal study documents 30 episodes of apnea each lasting more than 10 seconds"));
//       _identifiers.Add(new IDENTIFIER("30", "Without the equipment, the patient would require surgery"));
//       _identifiers.Add(new IDENTIFIER("31", "Patient has had a total knee replacement"));
//       _identifiers.Add(new IDENTIFIER("32", "Patient has intractable lymphedema of the extremities"));
//       _identifiers.Add(new IDENTIFIER("33", "Patient is in a nursing home"));
//       _identifiers.Add(new IDENTIFIER("34", "Patient is conscious"));
//       _identifiers.Add(new IDENTIFIER("35", "This Feeding is the Only Form of Nutrional Intake for This Patient"));
//       _identifiers.Add(new IDENTIFIER("37", "Oxygen delivery equipment is stationary"));
//       _identifiers.Add(new IDENTIFIER("38", "Certification signed by the physician is on file at the suppliers office"));
//       _identifiers.Add(new IDENTIFIER("39", "Patient Has Mobilizing Respiratory Tract Secretions"));
//       _identifiers.Add(new IDENTIFIER("40", "Patient or Caregiver is Capable of Using the Equipment Without Technical or Professional Supervision"));
//       _identifiers.Add(new IDENTIFIER("41", "Patient or Caregiver is Unable to Propel or Lift a Standard Weight Wheelchair"));
//       _identifiers.Add(new IDENTIFIER("42", "Patient Requires Leg Elevation for Edema or Body Alignment"));
//       _identifiers.Add(new IDENTIFIER("43", "Patient Weight or Usage Needs Necessitate a Heavy Duty Wheelchair"));
//       _identifiers.Add(new IDENTIFIER("44", "Patient Requires Reclining Function of a Wheelchair"));
//       _identifiers.Add(new IDENTIFIER("45", "Patient is Unable to Operate a Wheelchair Manually"));
//       _identifiers.Add(new IDENTIFIER("46", "Patient or Caregiver Requires Side Transfer into Wheelchair, Commode or Other"));
//       _identifiers.Add(new IDENTIFIER("58", "Durable Medical Equipment (DME) Purchased New"));
//       _identifiers.Add(new IDENTIFIER("59", "Durable Medical Equipment (DME) Is Under Warranty"));
//       _identifiers.Add(new IDENTIFIER("60", "Transportation Was To the Nearest Facility"));
//       _identifiers.Add(new IDENTIFIER("68", "Severe"));
//       _identifiers.Add(new IDENTIFIER("69", "Moderate"));
//       _identifiers.Add(new IDENTIFIER("5A", "Treatment is rendered related to the terminal illness"));
//       _identifiers.Add(new IDENTIFIER("9D", "Lack of Appropriate Facility within Reasonable Distance to Treat Patient in the Event of Complications"));
//       _identifiers.Add(new IDENTIFIER("9E", "Sudden Onset of Disorientation"));
//       _identifiers.Add(new IDENTIFIER("9F", "Sudden Onset of Severe, Incapacitating Pain"));
//       _identifiers.Add(new IDENTIFIER("9H", "Patient Requires Intensive IV Therapy"));
//       _identifiers.Add(new IDENTIFIER("9J", "Patient Requires Protective Isolation"));
//       _identifiers.Add(new IDENTIFIER("9K", "Patient Requires Frequent Monitoring"));
//       _identifiers.Add(new IDENTIFIER("AA", "Amputation"));
//       _identifiers.Add(new IDENTIFIER("AL", "Ambulation Limitations"));
//       _identifiers.Add(new IDENTIFIER("BL", "Bowel Limitations, Bladder Limitations, or both"));
//       _identifiers.Add(new IDENTIFIER("BPD", "Beneficiary is Partially Dependent"));
//       _identifiers.Add(new IDENTIFIER("BR", "Bedrest BRP"));
//       _identifiers.Add(new IDENTIFIER("BTD", "Beneficiary is Totally Dependent"));
//       _identifiers.Add(new IDENTIFIER("CA", "Cane Required"));
//       _identifiers.Add(new IDENTIFIER("CB", "Complete Bedrest"));
//       _identifiers.Add(new IDENTIFIER("CM", "Comatose"));
//       _identifiers.Add(new IDENTIFIER("CNJ", "Cumulative Injury"));
//       _identifiers.Add(new IDENTIFIER("CO", "Contracture"));
//       _identifiers.Add(new IDENTIFIER("CR", "Crutches Required"));
//       _identifiers.Add(new IDENTIFIER("DI", "Disoriented"));
//       _identifiers.Add(new IDENTIFIER("DP", "Depressed"));
//       _identifiers.Add(new IDENTIFIER("DY", "Dyspnea with Minimal Exertion"));
//       _identifiers.Add(new IDENTIFIER("EL", "Endurance Limitations"));
//       _identifiers.Add(new IDENTIFIER("EP", "Exercises Prescribed"));
//       _identifiers.Add(new IDENTIFIER("FO", "Forgetful"));
//       _identifiers.Add(new IDENTIFIER("HL", "Hearing Limitations"));
//       _identifiers.Add(new IDENTIFIER("HO", "Hostile"));
//       _identifiers.Add(new IDENTIFIER("IH", "Independent at Home"));
//       _identifiers.Add(new IDENTIFIER("LB", "Legally Blind"));
//       _identifiers.Add(new IDENTIFIER("LE", "Lethargic"));
//       _identifiers.Add(new IDENTIFIER("MC", "Other Mental Condition"));
//       _identifiers.Add(new IDENTIFIER("NR", "No Restrictions"));
//       _identifiers.Add(new IDENTIFIER("OL", "Other Limitations"));
//       _identifiers.Add(new IDENTIFIER("OT", "Oriented"));
//       _identifiers.Add(new IDENTIFIER("PA", "Paralysis"));
//       _identifiers.Add(new IDENTIFIER("PW", "Partial Weight Bearing"));
//       _identifiers.Add(new IDENTIFIER("SL", "Speech Limitations"));
//       _identifiers.Add(new IDENTIFIER("TNJ", "Traumatic Injury"));
//       _identifiers.Add(new IDENTIFIER("TR", "Transfer to Bed, or Chair, or Both"));
//       _identifiers.Add(new IDENTIFIER("UN", "Uncooperative"));
//       _identifiers.Add(new IDENTIFIER("UT", "Up as Tolerated"));
//       _identifiers.Add(new IDENTIFIER("WA", "Walker Required"));
//       _identifiers.Add(new IDENTIFIER("WR", "Wheelchair Required"));
//    }
// }
//
// public class ContactFunctionCode extends IDENTIFIER_LIST
// {
//    public ContactFunctionCode()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("IC", "Information Contact"));
//    }
// }
//
// public class CurrentHealthConditionCode extends IDENTIFIER_LIST
// {
//    public CurrentHealthConditionCode()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("1", "Acute"));
//       _identifiers.Add(new IDENTIFIER("2", "Stable"));
//       _identifiers.Add(new IDENTIFIER("3", "Chronic"));
//       _identifiers.Add(new IDENTIFIER("4", "Systemic"));
//       _identifiers.Add(new IDENTIFIER("5", "Localized"));
//       _identifiers.Add(new IDENTIFIER("6", "Mild Disease"));
//       _identifiers.Add(new IDENTIFIER("7", "Normal, Healthy"));
//       _identifiers.Add(new IDENTIFIER("8", "Severe Systemic Disease"));
//       _identifiers.Add(new IDENTIFIER("9", "Severe Systemic Disease that is a Constant Threat to Life"));
//       _identifiers.Add(new IDENTIFIER("E", "Excellent"));
//       _identifiers.Add(new IDENTIFIER("F", "Fair"));
//       _identifiers.Add(new IDENTIFIER("G", "Good"));
//       _identifiers.Add(new IDENTIFIER("P", "Poor"));
//    }
// }
//
// public class DateTimePeriodFormatQualifier extends IDENTIFIER_LIST
// {
//    public DateTimePeriodFormatQualifier()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("D8", "Date Expressed in Format CCYYMMDD"));
//       _identifiers.Add(new IDENTIFIER("RD8", "Range of Dates Expressed in Format CCYYMMDD-CCYYMMDD"));
//    }
// }
//
// public class DateTimeQualifier extends IDENTIFIER_LIST
// {
//    public DateTimeQualifier()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("007", "Effective"));
//       _identifiers.Add(new IDENTIFIER("036", "Expiration"));
//       _identifiers.Add(new IDENTIFIER("096", "Discharge"));
//       _identifiers.Add(new IDENTIFIER("102", "Issue"));
//       _identifiers.Add(new IDENTIFIER("431", "Onset of Current Symptoms or Illness"));
//       _identifiers.Add(new IDENTIFIER("435", "Admission"));
//       _identifiers.Add(new IDENTIFIER("439", "Accident"));
//       _identifiers.Add(new IDENTIFIER("472", "Service"));
//       _identifiers.Add(new IDENTIFIER("484", "Last Menstrual Period"));
//       _identifiers.Add(new IDENTIFIER("598", "Rejected"));
//       _identifiers.Add(new IDENTIFIER("881", "Request"));
//       _identifiers.Add(new IDENTIFIER("AAH", "Event"));
//       _identifiers.Add(new IDENTIFIER("ABC", "Estimated Date of Birth"));
//    }
// }
//
// public class DelayReasonCode extends IDENTIFIER_LIST
// {
//    public DelayReasonCode()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("1", "Proof of Eligibility Unknown or Unavailable"));
//       _identifiers.Add(new IDENTIFIER("2", "Litigation"));
//       _identifiers.Add(new IDENTIFIER("3", "Authorization Delays"));
//       _identifiers.Add(new IDENTIFIER("4", "Delay in Certifying Provider"));
//       _identifiers.Add(new IDENTIFIER("7", "Third Party Processing Delay"));
//       _identifiers.Add(new IDENTIFIER("8", "Delay in Eligibility Determination"));
//       _identifiers.Add(new IDENTIFIER("10", "Administration Delay in the Prior Approval Process"));
//       _identifiers.Add(new IDENTIFIER("11", "Other"));
//       _identifiers.Add(new IDENTIFIER("15", "Natural Disaster"));
//       _identifiers.Add(new IDENTIFIER("16", "Lack of Information"));
//       _identifiers.Add(new IDENTIFIER("17", "No response to initial request"));
//    }
// }
//
// public class EmploymentStatusCode extends IDENTIFIER_LIST
// {
//    public EmploymentStatusCode()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("AO", "Active Military - Overseas"));
//       _identifiers.Add(new IDENTIFIER("AU", "Active Military - USA"));
//       _identifiers.Add(new IDENTIFIER("DI", "Deceased"));
//       _identifiers.Add(new IDENTIFIER("PV", "Previous"));
//       _identifiers.Add(new IDENTIFIER("RU", "Retired Military - USA"));
//    }
// }
//
// public class EntityIdentifierCode extends IDENTIFIER_LIST
// {
//    public EntityIdentifierCode()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("00", "Alternate Insurer"));
//       _identifiers.Add(new IDENTIFIER("36", "Employer"));
//       _identifiers.Add(new IDENTIFIER("45", "Drop-off Location"));
//       _identifiers.Add(new IDENTIFIER("71", "Attending Physician"));
//       _identifiers.Add(new IDENTIFIER("72", "Operating Physician"));
//       _identifiers.Add(new IDENTIFIER("73", "Other Physician"));
//       _identifiers.Add(new IDENTIFIER("77", "Service Location"));
//       _identifiers.Add(new IDENTIFIER("1P", "Provider"));
//       _identifiers.Add(new IDENTIFIER("1T", "Physician, Clinic or Group Practice"));
//       _identifiers.Add(new IDENTIFIER("2A", "Federal, State, County or City Facility"));
//       _identifiers.Add(new IDENTIFIER("2B", "Third-Party Administrator"));
//       _identifiers.Add(new IDENTIFIER("AAJ", "Admitting Services"));
//       _identifiers.Add(new IDENTIFIER("CA", "Carrier"));
//       _identifiers.Add(new IDENTIFIER("DD", "Assistant Surgeon"));
//       _identifiers.Add(new IDENTIFIER("DK", "Ordering Physician"));
//       _identifiers.Add(new IDENTIFIER("DN", "Referring Provider"));
//       _identifiers.Add(new IDENTIFIER("DQ", "Supervising Provider"));
//       _identifiers.Add(new IDENTIFIER("FA", "Facility"));
//       _identifiers.Add(new IDENTIFIER("FS", "Final Scheduled Destination"));
//       _identifiers.Add(new IDENTIFIER("G3", "Clinic"));
//       _identifiers.Add(new IDENTIFIER("GG", "Intermediary"));
//       _identifiers.Add(new IDENTIFIER("IL", "Insured or Subscriber"));
//       _identifiers.Add(new IDENTIFIER("L5", "Contact"));
//       _identifiers.Add(new IDENTIFIER("ND", "Next Destination"));
//       _identifiers.Add(new IDENTIFIER("P3", "Primary Care Provider"));
//       _identifiers.Add(new IDENTIFIER("PR", "Payer"));
//       _identifiers.Add(new IDENTIFIER("PW", "Pickup Address"));
//       _identifiers.Add(new IDENTIFIER("QB", "Purchase Service Provider"));
//       _identifiers.Add(new IDENTIFIER("QC", "Patient"));
//       _identifiers.Add(new IDENTIFIER("QV", "Group Practice"));
//       _identifiers.Add(new IDENTIFIER("R3", "Next Scheduled Destination"));
//       _identifiers.Add(new IDENTIFIER("SJ", "Service Provider"));
//       _identifiers.Add(new IDENTIFIER("X3", "Utilization Management Organization"));
//    }
// }
//
// public class EntityTypeQualifier extends IDENTIFIER_LIST
// {
//    public EntityTypeQualifier()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("1", "Person"));
//       _identifiers.Add(new IDENTIFIER("2", "Non-Person Entity"));
//    }
// }
//
// public class FacilityCodeQualifier extends IDENTIFIER_LIST
// {
//    public FacilityCodeQualifier()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("A", "Uniform Billing Claim Form Bill Type"));
//       _identifiers.Add(new IDENTIFIER("B", "Place of Service Codes for Professional or Dental Services"));
//    }
// }
//
// public class FollowUpActionCode extends IDENTIFIER_LIST
// {
//    public FollowUpActionCode()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("C", "Please Correct and Resubmit"));
//       _identifiers.Add(new IDENTIFIER("N", "Resubmission Not Allowed"));
//       _identifiers.Add(new IDENTIFIER("P", "Please Resubmit Original Transaction"));
//       _identifiers.Add(new IDENTIFIER("R", "Resubmission Allowed"));
//       _identifiers.Add(new IDENTIFIER("Y", "Do Not Resubmit; We Will Hold Your Request and Respond Again Shortly"));
//    }
// }
//
// public class GenderCode extends IDENTIFIER_LIST
// {
//    public GenderCode()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("F", "Female"));
//       _identifiers.Add(new IDENTIFIER("M", "Male"));
//       _identifiers.Add(new IDENTIFIER("U", "Unknown"));
//    }
// }
//
// public class HierarchicalChildCode extends IDENTIFIER_LIST
// {
//    public HierarchicalChildCode()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("0", "No Subordinate HL Segment in This Hierarchical Structure"));
//       _identifiers.Add(new IDENTIFIER("1", "Additional Subordinate HL Data Segment in This Hierarchical Structure"));
//    }
// }
//
// public class HierarchicalLevelCode extends IDENTIFIER_LIST
// {
//    public HierarchicalLevelCode()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("20", "Information Source"));
//       _identifiers.Add(new IDENTIFIER("21", "Information Receiver"));
//       _identifiers.Add(new IDENTIFIER("22", "Subscriber"));
//       _identifiers.Add(new IDENTIFIER("23", "Dependent"));
//       _identifiers.Add(new IDENTIFIER("EV", "Event"));
//       _identifiers.Add(new IDENTIFIER("SS", "Services"));
//    }
// }
//
// public class HierarchicalStructureCode extends IDENTIFIER_LIST
// {
//    public HierarchicalStructureCode()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("0007", "Information Source, Information Receiver, Subscriber, Dependent, Event, Services"));
//    }
// }
//
// public class IdentificationCodeQualifier extends IDENTIFIER_LIST
// {
//    public IdentificationCodeQualifier()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("24", "Employers Identification Number"));
//       _identifiers.Add(new IDENTIFIER("34", "Social Security Number"));
//       _identifiers.Add(new IDENTIFIER("46", "Electronic Transmitter Identification Number"));
//       _identifiers.Add(new IDENTIFIER("AC", "Attachment Control Number"));
//       _identifiers.Add(new IDENTIFIER("II", "Standard Unique Health Identifier for each individual in the United States"));
//       _identifiers.Add(new IDENTIFIER("MI", "Member Identification Number"));
//       _identifiers.Add(new IDENTIFIER("PI", "Payor Identification"));
//       _identifiers.Add(new IDENTIFIER("XV", "Centers for Medicare and Medicaid Services PlanID"));
//       _identifiers.Add(new IDENTIFIER("XX", "Centers for Medicare and Medicaid Services National Provider Identifier"));
//
//    }
// }
//
// public class IndividualRelationshipCode extends IDENTIFIER_LIST
// {
//    public IndividualRelationshipCode()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("01", "Spouse"));
//       _identifiers.Add(new IDENTIFIER("18", "Self"));
//       _identifiers.Add(new IDENTIFIER("19", "Child"));
//       _identifiers.Add(new IDENTIFIER("G8", "Other Relationship"));
//    }
// }
//
// public class InterchangeControlVersionNumber extends IDENTIFIER_LIST
// {
//    public InterchangeControlVersionNumber()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("00501", "Standards Approved for Publication by ASC X12 Procedures Review Board through October 2003"));
//    }
// }
//
// public class InterchangeIdQualifier extends IDENTIFIER_LIST
// {
//    public InterchangeIdQualifier()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("01", "Duns"));
//       _identifiers.Add(new IDENTIFIER("14", "Duns Plus Suffix"));
//       _identifiers.Add(new IDENTIFIER("20", "Health Industry Number"));
//       _identifiers.Add(new IDENTIFIER("27", "Carrier Identification Number as assigned by Health Care Financing Administration"));
//       _identifiers.Add(new IDENTIFIER("28", "Fiscal Intermediary Identification Number as assigned by Health Care Financing Administration"));
//       _identifiers.Add(new IDENTIFIER("29", "Medicare Provider and Supplier Identification Number as assigned by Health Care Financing Administration"));
//       _identifiers.Add(new IDENTIFIER("30", "U.S. Federal Tax Identification Number"));
//       _identifiers.Add(new IDENTIFIER("33", "National Association of Insurance Commissioners Company Code"));
//       _identifiers.Add(new IDENTIFIER("ZZ", "Mutually Defined"));
//    }
// }
//
// public class InterchangeUsageIndicator extends IDENTIFIER_LIST
// {
//    public InterchangeUsageIndicator()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("P", "Production Data"));
//       _identifiers.Add(new IDENTIFIER("T", "Test Data"));
//    }
// }
//
// public class LevelOfCareCode extends IDENTIFIER_LIST
// {
//    public LevelOfCareCode()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("1", "Skilled Nursing Facility"));
//       _identifiers.Add(new IDENTIFIER("2", "Intermediate Care Facility"));
//       _identifiers.Add(new IDENTIFIER("3", "Intermediate Care Facility - Mentally Retarded"));
//       _identifiers.Add(new IDENTIFIER("4", "Chronic Disease Hospital"));
//       _identifiers.Add(new IDENTIFIER("5", "Intermediate Care Facility Level II"));
//       _identifiers.Add(new IDENTIFIER("6", "Special Skilled Nursing Facility"));
//       _identifiers.Add(new IDENTIFIER("7", "Nursing Facility"));
//       _identifiers.Add(new IDENTIFIER("8", "Hospice"));
//    }
// }
//
// public class LevelOfServiceCode extends IDENTIFIER_LIST
// {
//    public LevelOfServiceCode()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("03", "Emergency"));
//       _identifiers.Add(new IDENTIFIER("E", "Elective"));
//       _identifiers.Add(new IDENTIFIER("U", "Urgent"));
//    }
// }
//
// public class LocationQualifier extends IDENTIFIER_LIST
// {
//    public LocationQualifier()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("B1", "Branch"));
//       _identifiers.Add(new IDENTIFIER("DP", "Department"));
//    }
// }
//
// public class MedicareCoverageIndicator extends IDENTIFIER_LIST
// {
//    public MedicareCoverageIndicator()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("W", "Not Applicable"));
//    }
// }
//
// public class NatureOfConditionCode extends IDENTIFIER_LIST
// {
//    public NatureOfConditionCode()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("A", "Acute Condition"));
//       _identifiers.Add(new IDENTIFIER("C", "Chronic Condition"));
//       _identifiers.Add(new IDENTIFIER("D", "Non-acute"));
//       _identifiers.Add(new IDENTIFIER("E", "Non-Life Threatening"));
//       _identifiers.Add(new IDENTIFIER("F", "Routine"));
//       _identifiers.Add(new IDENTIFIER("G", "Symptomatic"));
//       _identifiers.Add(new IDENTIFIER("M", "Acute Manifestation of a Chronic Condition"));
//    }
// }
//
// public class NursingHomeResidentialStatusCode extends IDENTIFIER_LIST
// {
//    public NursingHomeResidentialStatusCode()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("1", "Transferred to Intermediate Care Facility - Mentally Retarded"));
//       _identifiers.Add(new IDENTIFIER("2", "Newly Admitted"));
//       _identifiers.Add(new IDENTIFIER("3", "Newly Eligible"));
//       _identifiers.Add(new IDENTIFIER("4", "No Longer Eligible"));
//       _identifiers.Add(new IDENTIFIER("5", "Still a Resident"));
//       _identifiers.Add(new IDENTIFIER("6", "Temporary Absence - Hospital"));
//       _identifiers.Add(new IDENTIFIER("7", "Temporary Absence - Other"));
//       _identifiers.Add(new IDENTIFIER("8", "Transferred to Intermediate Care Facility - Level II"));
//       _identifiers.Add(new IDENTIFIER("9", "Other"));
//    }
// }
//
// public class OxygenDeliverySystemCode extends IDENTIFIER_LIST
// {
//    public OxygenDeliverySystemCode()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("A", "Nasal Cannula"));
//       _identifiers.Add(new IDENTIFIER("B", "Oxygen Conserving Device"));
//       _identifiers.Add(new IDENTIFIER("C", "Oxygen Conserving Device with Oxygen Pulse System"));
//       _identifiers.Add(new IDENTIFIER("D", "Oxygen Conserving Device with Reservoir System"));
//       _identifiers.Add(new IDENTIFIER("E", "Transtracheal Catheter"));
//    }
// }
//
// public class OxygenEquipmentTypeCode extends IDENTIFIER_LIST
// {
//    public OxygenEquipmentTypeCode()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("A", "Concentrator"));
//       _identifiers.Add(new IDENTIFIER("B", "Liquid Stationary"));
//       _identifiers.Add(new IDENTIFIER("C", "Gaseous Stationary"));
//       _identifiers.Add(new IDENTIFIER("D", "Liquid Portable"));
//       _identifiers.Add(new IDENTIFIER("E", "Gaseous Portable"));
//       _identifiers.Add(new IDENTIFIER("O", "Other"));
//    }
// }
//
// public class OxygenTestConditionCode extends IDENTIFIER_LIST
// {
//    public OxygenTestConditionCode()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("E", "Exercising"));
//       _identifiers.Add(new IDENTIFIER("N", "No special conditions for test"));
//       _identifiers.Add(new IDENTIFIER("O", "On oxygen"));
//       _identifiers.Add(new IDENTIFIER("R", "At rest on room air"));
//       _identifiers.Add(new IDENTIFIER("S", "Sleeping"));
//       _identifiers.Add(new IDENTIFIER("W", "Walking"));
//       _identifiers.Add(new IDENTIFIER("X", "Other"));
//    }
// }
//
// public class OxygenTestFindingsCode extends IDENTIFIER_LIST
// {
//    public OxygenTestFindingsCode()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("1", "Dependent edema suggesting congestive heart failure"));
//       _identifiers.Add(new IDENTIFIER("2", "Pulmonale on Electrocardiogram"));
//       _identifiers.Add(new IDENTIFIER("3", "Erythrocythemia with a hematocrit greater than 56 percent"));
//    }
// }
//
// public class PatientLocationCode extends IDENTIFIER_LIST
// {
//    public PatientLocationCode()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("A", "Acute Care Facility"));
//       _identifiers.Add(new IDENTIFIER("B", "Boarding Home"));
//       _identifiers.Add(new IDENTIFIER("C", "Hospice"));
//       _identifiers.Add(new IDENTIFIER("D", "Intermediate Care Facility"));
//       _identifiers.Add(new IDENTIFIER("E", "Long-term or Extended Care Facility"));
//       _identifiers.Add(new IDENTIFIER("F", "Not Specified"));
//       _identifiers.Add(new IDENTIFIER("G", "Nursing Home"));
//       _identifiers.Add(new IDENTIFIER("H", "Sub-acute Care Facility"));
//       _identifiers.Add(new IDENTIFIER("L", "Other Location"));
//       _identifiers.Add(new IDENTIFIER("M", "Rehabilitation Facility"));
//       _identifiers.Add(new IDENTIFIER("O", "Outpatient Facility"));
//       _identifiers.Add(new IDENTIFIER("P", "Private Home"));
//       _identifiers.Add(new IDENTIFIER("R", "Residential Treatment Facility"));
//       _identifiers.Add(new IDENTIFIER("S", "Skilled Nursing Home"));
//       _identifiers.Add(new IDENTIFIER("T", "Rest Home"));
//    }
// }
//
// public class ProductServiceIdQualifier extends IDENTIFIER_LIST
// {
//    public ProductServiceIdQualifier()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("AD", "American Dental Association Codes"));
//       _identifiers.Add(new IDENTIFIER("HC", "Health Care Financing Administration Common Procedural Coding System (HCPCS) Codes"));
//       _identifiers.Add(new IDENTIFIER("ID", "International Classification of Diseases, 9th Revision, Clinical Modification (ICD-9-CM) - Procedure"));
//       _identifiers.Add(new IDENTIFIER("IV", "Home Infusion EDI Coalition (HIEC) Product/Service Code"));
//       _identifiers.Add(new IDENTIFIER("N4", "National Drug Code in 5-4-2 Format"));
//       _identifiers.Add(new IDENTIFIER("WK", "Advanced Billing Concepts (ABC) Codes"));
//       _identifiers.Add(new IDENTIFIER("ZZ", "Mutually Defined"));
//    }
// }
//
// public class PrognosisCode extends IDENTIFIER_LIST
// {
//    public PrognosisCode()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("1", "Poor"));
//       _identifiers.Add(new IDENTIFIER("2", "Guarded"));
//       _identifiers.Add(new IDENTIFIER("3", "Fair"));
//       _identifiers.Add(new IDENTIFIER("4", "Good"));
//       _identifiers.Add(new IDENTIFIER("5", "Very Good"));
//       _identifiers.Add(new IDENTIFIER("6", "Excellent"));
//       _identifiers.Add(new IDENTIFIER("7", "Less than 6 Months to Live"));
//       _identifiers.Add(new IDENTIFIER("8", "Terminal"));
//    }
// }
//
// public class ProsthesisCrownOrInlayCode extends IDENTIFIER_LIST
// {
//    public ProsthesisCrownOrInlayCode()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("I", "Initial Placement"));
//       _identifiers.Add(new IDENTIFIER("R", "Replacement"));
//    }
// }
//
// public class ProviderCode extends IDENTIFIER_LIST
// {
//    public ProviderCode()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("AD", "Admitting"));
//       _identifiers.Add(new IDENTIFIER("AS", "Assistant Surgeon"));
//       _identifiers.Add(new IDENTIFIER("AT", "Attending"));
//       _identifiers.Add(new IDENTIFIER("CO", "Consulting"));
//       _identifiers.Add(new IDENTIFIER("CV", "Covering"));
//       _identifiers.Add(new IDENTIFIER("OP", "Operating"));
//       _identifiers.Add(new IDENTIFIER("OR", "Ordering"));
//       _identifiers.Add(new IDENTIFIER("OT", "Other Physician"));
//       _identifiers.Add(new IDENTIFIER("PC", "Primary Care Physician"));
//       _identifiers.Add(new IDENTIFIER("PE", "Performing"));
//       _identifiers.Add(new IDENTIFIER("RF", "Referring"));
//    }
// }
//
// public class QuantityQualifier extends IDENTIFIER_LIST
// {
//    public QuantityQualifier()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("DY", "Days"));
//       _identifiers.Add(new IDENTIFIER("FL", "Units"));
//       _identifiers.Add(new IDENTIFIER("HS", "Hours"));
//       _identifiers.Add(new IDENTIFIER("MN", "Month"));
//       _identifiers.Add(new IDENTIFIER("VS", "Visits"));
//    }
// }
//
// public class ReferenceIdentificationQualifier extends IDENTIFIER_LIST
// {
//    public ReferenceIdentificationQualifier()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("28", "Employee Identification Number"));
//       _identifiers.Add(new IDENTIFIER("0B", "State License Number"));
//       _identifiers.Add(new IDENTIFIER("1G", "Provider UPIN Number"));
//       _identifiers.Add(new IDENTIFIER("1J", "Facility ID Number"));
//       _identifiers.Add(new IDENTIFIER("1L", "Group or Policy Number"));
//       _identifiers.Add(new IDENTIFIER("3L", "Branch Identifier"));
//       _identifiers.Add(new IDENTIFIER("6P", "Group Number"));
//       _identifiers.Add(new IDENTIFIER("BB", "Authorization Number"));
//       _identifiers.Add(new IDENTIFIER("DP", "Department Number"));
//       _identifiers.Add(new IDENTIFIER("EI", "Employers Identification Number"));
//       _identifiers.Add(new IDENTIFIER("EJ", "Patient Account Number"));
//       _identifiers.Add(new IDENTIFIER("F6", "Health Insurance Claim Number"));
//       _identifiers.Add(new IDENTIFIER("G5", "Provider Site Number"));
//       _identifiers.Add(new IDENTIFIER("HJ", "Identity Card Number"));
//       _identifiers.Add(new IDENTIFIER("IG", "Insurance Policy Number"));
//       _identifiers.Add(new IDENTIFIER("N5", "Provider Plan Network Identification Number"));
//       _identifiers.Add(new IDENTIFIER("N6", "Plan Network Identification Number"));
//       _identifiers.Add(new IDENTIFIER("N7", "Facility Network Identification Number"));
//       _identifiers.Add(new IDENTIFIER("NQ", "Medicaid Recipient Identification Number"));
//       _identifiers.Add(new IDENTIFIER("NT", "Administrators Reference Number"));
//       _identifiers.Add(new IDENTIFIER("PXC", "Health Care Provider Taxonomy Code"));
//       _identifiers.Add(new IDENTIFIER("SY", "Social Security Number"));
//       _identifiers.Add(new IDENTIFIER("TJ", "Federal Taxpayers Identification Number"));
//       _identifiers.Add(new IDENTIFIER("ZH", "Carrier Assigned Reference Number"));
//       _identifiers.Add(new IDENTIFIER("ZZ", "Mutually Defined"));
//    }
// }
//
// public class RejectReasonCode extends IDENTIFIER_LIST
// {
//    public RejectReasonCode()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("04", "Authorized Quantity Exceeded"));
//       _identifiers.Add(new IDENTIFIER("15", "Required application data missing"));
//       _identifiers.Add(new IDENTIFIER("33", "Input Errors"));
//       _identifiers.Add(new IDENTIFIER("35", "Out of Network"));
//       _identifiers.Add(new IDENTIFIER("41", "Authorization/Access Restrictions"));
//       _identifiers.Add(new IDENTIFIER("42", "Unable to Respond at Current Time"));
//       _identifiers.Add(new IDENTIFIER("43", "Invalid/Missing Provider Identification"));
//       _identifiers.Add(new IDENTIFIER("44", "Invalid/Missing Provider Name"));
//       _identifiers.Add(new IDENTIFIER("45", "Invalid/Missing Provider Specialty"));
//       _identifiers.Add(new IDENTIFIER("46", "Invalid/Missing Provider Phone Number"));
//       _identifiers.Add(new IDENTIFIER("47", "Invalid/Missing Provider State"));
//       _identifiers.Add(new IDENTIFIER("49", "Provider is Not Primary Care Physician"));
//       _identifiers.Add(new IDENTIFIER("51", "Provider Not on File"));
//       _identifiers.Add(new IDENTIFIER("52", "Service Dates Not Within Provider Plan Enrollment"));
//       _identifiers.Add(new IDENTIFIER("56", "Inappropriate Date"));
//       _identifiers.Add(new IDENTIFIER("57", "Invalid/Missing Date(s) of Service"));
//       _identifiers.Add(new IDENTIFIER("58", "Invalid/Missing Date-of-Birth"));
//       _identifiers.Add(new IDENTIFIER("60", "Date of Birth Follows Date(s) of Service"));
//       _identifiers.Add(new IDENTIFIER("61", "Date of Death Precedes Date(s) of Service"));
//       _identifiers.Add(new IDENTIFIER("62", "Date of Service Not Within Allowable Inquiry Period"));
//       _identifiers.Add(new IDENTIFIER("64", "Invalid/Missing Patient ID"));
//       _identifiers.Add(new IDENTIFIER("65", "Invalid/Missing Patient Name"));
//       _identifiers.Add(new IDENTIFIER("66", "Invalid/Missing Patient Gender Code"));
//       _identifiers.Add(new IDENTIFIER("67", "Patient Not Found"));
//       _identifiers.Add(new IDENTIFIER("68", "Duplicate Patient ID Number"));
//       _identifiers.Add(new IDENTIFIER("71", "Patient Birth Date Does Not Match That for the Patient on the Database"));
//       _identifiers.Add(new IDENTIFIER("72", "Invalid/Missing Subscriber/Insured ID"));
//       _identifiers.Add(new IDENTIFIER("73", "Invalid/Missing Subscriber/Insured Name"));
//       _identifiers.Add(new IDENTIFIER("74", "Invalid/Missing Subscriber/Insured Gender Code"));
//       _identifiers.Add(new IDENTIFIER("75", "Subscriber/Insured Not Found"));
//       _identifiers.Add(new IDENTIFIER("76", "Duplicate Subscriber/Insured ID Number"));
//       _identifiers.Add(new IDENTIFIER("77", "Subscriber Found, Patient Not Found"));
//       _identifiers.Add(new IDENTIFIER("78", "Subscriber/Insured Not in Group/Plan Identified"));
//       _identifiers.Add(new IDENTIFIER("79", "Invalid Participant Identification"));
//       _identifiers.Add(new IDENTIFIER("80", "No Response received - Transaction Terminated"));
//       _identifiers.Add(new IDENTIFIER("95", "Patient Not Eligible"));
//       _identifiers.Add(new IDENTIFIER("97", "Invalid or Missing Provider Address"));
//       _identifiers.Add(new IDENTIFIER("AA", "Authorization Number Not Found"));
//       _identifiers.Add(new IDENTIFIER("AF", "Invalid/Missing Diagnosis Code(s)"));
//       _identifiers.Add(new IDENTIFIER("AG", "Invalid/Missing Procedure Code(s)"));
//       _identifiers.Add(new IDENTIFIER("AH", "Invalid/Missing Onset of Current Condition or Illness Date"));
//       _identifiers.Add(new IDENTIFIER("AI", "Invalid/Missing Accident Date"));
//       _identifiers.Add(new IDENTIFIER("AJ", "Invalid/Missing Last Menstrual Period Date"));
//       _identifiers.Add(new IDENTIFIER("AK", "Invalid/Missing Expected Date of Birth"));
//       _identifiers.Add(new IDENTIFIER("AM", "Invalid/Missing Admission Date"));
//       _identifiers.Add(new IDENTIFIER("AN", "Invalid/Missing Discharge Date"));
//       _identifiers.Add(new IDENTIFIER("CI", "Certification Information Does Not Match Patient"));
//       _identifiers.Add(new IDENTIFIER("IP", "Inappropriate Provider Role"));
//       _identifiers.Add(new IDENTIFIER("NC", "No Certification Information Found"));
//       _identifiers.Add(new IDENTIFIER("T4", "Payer Name or Identifier Missing"));
//       _identifiers.Add(new IDENTIFIER("T5", "Certification Information Missing"));
//       _identifiers.Add(new IDENTIFIER("ZZ", "Mutually Defined"));
//    }
// }
//
// public class RelatedCausesCode extends IDENTIFIER_LIST
// {
//    public RelatedCausesCode()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("AA", "Auto Accident"));
//       _identifiers.Add(new IDENTIFIER("AP", "Another Party Responsible"));
//       _identifiers.Add(new IDENTIFIER("EM", "Employment"));
//    }
// }
//
// public class ReleaseOfInformationCode extends IDENTIFIER_LIST
// {
//    public ReleaseOfInformationCode()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("M", "The Provider has Limited or Restricted Ability to Release Data Related to a Claim"));
//       _identifiers.Add(new IDENTIFIER("Y", "Yes, Provider has a Signed Statement Permitting Release of Medical Billing Data Related to a Claim"));
//    }
// }
//
// public class ReportTransmissionCode extends IDENTIFIER_LIST
// {
//    public ReportTransmissionCode()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("AA", "Available on Request at Provider Site"));
//       _identifiers.Add(new IDENTIFIER("BM", "By Mail"));
//       _identifiers.Add(new IDENTIFIER("EL", "Electronically Only"));
//       _identifiers.Add(new IDENTIFIER("EM", "E-Mail"));
//       _identifiers.Add(new IDENTIFIER("FX", "By Fax"));
//       _identifiers.Add(new IDENTIFIER("VO", "Voice"));
//    }
// }
//
// public class ReportTypeCode extends IDENTIFIER_LIST
// {
//    public ReportTypeCode()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("03", "Report Justifying Treatment Beyond Utilization Guidelines"));
//       _identifiers.Add(new IDENTIFIER("04", "Drugs Administered"));
//       _identifiers.Add(new IDENTIFIER("05", "Treatment Diagnosis"));
//       _identifiers.Add(new IDENTIFIER("06", "Initial Assessment"));
//       _identifiers.Add(new IDENTIFIER("07", "Functional Goals"));
//       _identifiers.Add(new IDENTIFIER("08", "Plan of Treatment"));
//       _identifiers.Add(new IDENTIFIER("09", "Progress Report"));
//       _identifiers.Add(new IDENTIFIER("10", "Continued Treatment"));
//       _identifiers.Add(new IDENTIFIER("11", "Cheemical Analysis"));
//       _identifiers.Add(new IDENTIFIER("13", "Certified Test Report"));
//       _identifiers.Add(new IDENTIFIER("15", "Justification for Admission"));
//       _identifiers.Add(new IDENTIFIER("21", "Recovery Plan"));
//       _identifiers.Add(new IDENTIFIER("48", "Social Security Benefit Letter"));
//       _identifiers.Add(new IDENTIFIER("55", "Rental Agreement"));
//       _identifiers.Add(new IDENTIFIER("59", "Benefit Letter"));
//       _identifiers.Add(new IDENTIFIER("77", "Support Data for Verification"));
//       _identifiers.Add(new IDENTIFIER("A3", "Allergies/Sensitivities Document"));
//       _identifiers.Add(new IDENTIFIER("A4", "Autopsy Report"));
//       _identifiers.Add(new IDENTIFIER("AM", "Ambulance Certification"));
//       _identifiers.Add(new IDENTIFIER("AS", "Admission Summary"));
//       _identifiers.Add(new IDENTIFIER("AT", "Purchase Order Attachment"));
//       _identifiers.Add(new IDENTIFIER("B2", "Prescription"));
//       _identifiers.Add(new IDENTIFIER("B3", "Physician Order"));
//       _identifiers.Add(new IDENTIFIER("BR", "Benchmark Testing Results"));
//       _identifiers.Add(new IDENTIFIER("BS", "Baseline"));
//       _identifiers.Add(new IDENTIFIER("BT", "Blanket Test Results"));
//       _identifiers.Add(new IDENTIFIER("CB", "Chiropractic Justification"));
//       _identifiers.Add(new IDENTIFIER("CK", "Consent Form(s)"));
//       _identifiers.Add(new IDENTIFIER("D2", "Drug Profile Document"));
//       _identifiers.Add(new IDENTIFIER("DA", "Dental Models"));
//       _identifiers.Add(new IDENTIFIER("DB", "Durable Medical Equipment Prescription"));
//       _identifiers.Add(new IDENTIFIER("DG", "Diagnostic Report"));
//       _identifiers.Add(new IDENTIFIER("DJ", "Discharge Monitoring Report"));
//       _identifiers.Add(new IDENTIFIER("DS", "Discharge Summary"));
//       _identifiers.Add(new IDENTIFIER("FM", "Family Medical History Document"));
//       _identifiers.Add(new IDENTIFIER("HC", "Health Certificate"));
//       _identifiers.Add(new IDENTIFIER("HR", "Health Clinic Records"));
//       _identifiers.Add(new IDENTIFIER("I5", "Immunization Record"));
//       _identifiers.Add(new IDENTIFIER("IR", "State School Immunization Records"));
//       _identifiers.Add(new IDENTIFIER("LA", "Laboratory Results"));
//       _identifiers.Add(new IDENTIFIER("M1", "Medical Record Attachment"));
//       _identifiers.Add(new IDENTIFIER("NN", "Nursing Notes"));
//       _identifiers.Add(new IDENTIFIER("OB", "Operative Note"));
//       _identifiers.Add(new IDENTIFIER("OC", "Oxygen Content Averaging Report"));
//       _identifiers.Add(new IDENTIFIER("OD", "Orders and Treatments Document"));
//       _identifiers.Add(new IDENTIFIER("OE", "Objective Physical Examination Document"));
//       _identifiers.Add(new IDENTIFIER("OX", "Oxygen Therapy Certification"));
//       _identifiers.Add(new IDENTIFIER("P4", "Pathology Report"));
//       _identifiers.Add(new IDENTIFIER("P5", "Patient Medical History Document"));
//       _identifiers.Add(new IDENTIFIER("P6", "Periodontal Charts"));
//       _identifiers.Add(new IDENTIFIER("P7", "Periodontal Reports"));
//       _identifiers.Add(new IDENTIFIER("PE", "Parnteral or Enteral Certification"));
//       _identifiers.Add(new IDENTIFIER("PN", "Physical Therapy Notes"));
//       _identifiers.Add(new IDENTIFIER("PO", "Prosthetics or Orthotic Certification"));
//       _identifiers.Add(new IDENTIFIER("PQ", "Paramedical Results"));
//       _identifiers.Add(new IDENTIFIER("PY", "Physicians Report"));
//       _identifiers.Add(new IDENTIFIER("PZ", "Physical Therapy Certification"));
//       _identifiers.Add(new IDENTIFIER("QC", "Cause and Corrective Action Report"));
//       _identifiers.Add(new IDENTIFIER("QR", "Quality Report"));
//       _identifiers.Add(new IDENTIFIER("RB", "Radiology Films"));
//       _identifiers.Add(new IDENTIFIER("RR", "Radiology Reports"));
//       _identifiers.Add(new IDENTIFIER("RT", "Report of Tests and Analysis Report"));
//       _identifiers.Add(new IDENTIFIER("RX", "Renewable Oxygen Content Averaging Report"));
//       _identifiers.Add(new IDENTIFIER("SG", "Symptoms Document"));
//       _identifiers.Add(new IDENTIFIER("V5", "Death Notification"));
//       _identifiers.Add(new IDENTIFIER("XP", "Photographs"));
//    }
// }
//
// public class RequestCategoryCode extends IDENTIFIER_LIST
// {
//    public RequestCategoryCode()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("AR", "Admission Review"));
//       _identifiers.Add(new IDENTIFIER("HS", "Health Services Review"));
//       _identifiers.Add(new IDENTIFIER("IN", "Individual"));
//       _identifiers.Add(new IDENTIFIER("SC", "Specialty Care Review"));
//    }
// }
//
// public class ResponsibleAgencyCode extends IDENTIFIER_LIST
// {
//    public ResponsibleAgencyCode()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("X", "Accredited Standards Committee X12"));
//    }
// }
//
// public class SecurityInformationQualifier extends IDENTIFIER_LIST
// {
//    public SecurityInformationQualifier()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("00", "No Security Information Present"));
//       _identifiers.Add(new IDENTIFIER("01", "Password"));
//    }
// }
//
// public class ServiceTypeCode extends IDENTIFIER_LIST
// {
//    public ServiceTypeCode()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("1", "Medical Care"));
//       _identifiers.Add(new IDENTIFIER("2", "Surgical"));
//       _identifiers.Add(new IDENTIFIER("3", "Consultation"));
//       _identifiers.Add(new IDENTIFIER("4", "Diagnostic X-Ray"));
//       _identifiers.Add(new IDENTIFIER("5", "Diagnostic Lab"));
//       _identifiers.Add(new IDENTIFIER("6", "Radiation Therapy"));
//       _identifiers.Add(new IDENTIFIER("7", "Anesthesia"));
//       _identifiers.Add(new IDENTIFIER("8", "Surgical Assistance"));
//       _identifiers.Add(new IDENTIFIER("11", "Used Durable Medical Equipment"));
//       _identifiers.Add(new IDENTIFIER("12", "Durable Medical Equipment Purchase"));
//       _identifiers.Add(new IDENTIFIER("14", "Renal Supplies in the Home"));
//       _identifiers.Add(new IDENTIFIER("15", "Alternate Method Dialysis"));
//       _identifiers.Add(new IDENTIFIER("16", "Chronic Renal Disease (CRD) Equipment"));
//       _identifiers.Add(new IDENTIFIER("17", "Pre-Admission Testing"));
//       _identifiers.Add(new IDENTIFIER("18", "Durable Medical Equipment Rental"));
//       _identifiers.Add(new IDENTIFIER("20", "Second Surgical Opinion"));
//       _identifiers.Add(new IDENTIFIER("21", "Third Surgical Opinion"));
//       _identifiers.Add(new IDENTIFIER("23", "Diagnostic Dental"));
//       _identifiers.Add(new IDENTIFIER("24", "Periodontics"));
//       _identifiers.Add(new IDENTIFIER("25", "Restorative"));
//       _identifiers.Add(new IDENTIFIER("26", "Endodontics"));
//       _identifiers.Add(new IDENTIFIER("27", "Maxillofacial Prosthetics"));
//       _identifiers.Add(new IDENTIFIER("28", "Adjunctive Dental Services"));
//       _identifiers.Add(new IDENTIFIER("32", "Plan Waiting Period"));
//       _identifiers.Add(new IDENTIFIER("33", "Chiropractic"));
//       _identifiers.Add(new IDENTIFIER("35", "Dental Care"));
//       _identifiers.Add(new IDENTIFIER("36", "Dental Crowns"));
//       _identifiers.Add(new IDENTIFIER("37", "Dental Accident"));
//       _identifiers.Add(new IDENTIFIER("38", "Orthodontics"));
//       _identifiers.Add(new IDENTIFIER("39", "Prosthodontics"));
//       _identifiers.Add(new IDENTIFIER("40", "Oral Surgery"));
//       _identifiers.Add(new IDENTIFIER("42", "Home Health Care"));
//       _identifiers.Add(new IDENTIFIER("44", "Home Health Visits"));
//       _identifiers.Add(new IDENTIFIER("45", "Hospice"));
//       _identifiers.Add(new IDENTIFIER("46", "Respite Care"));
//       _identifiers.Add(new IDENTIFIER("54", "Long Term Care"));
//       _identifiers.Add(new IDENTIFIER("56", "Medically Related Transportation"));
//       _identifiers.Add(new IDENTIFIER("61", "In-vitro Fertilization"));
//       _identifiers.Add(new IDENTIFIER("62", "MRI/CAT Scan"));
//       _identifiers.Add(new IDENTIFIER("63", "Donor Procedures"));
//       _identifiers.Add(new IDENTIFIER("64", "Acupuncture"));
//       _identifiers.Add(new IDENTIFIER("65", "Newborn Care"));
//       _identifiers.Add(new IDENTIFIER("66", "Pathology"));
//       _identifiers.Add(new IDENTIFIER("67", "Smoking Cessation"));
//       _identifiers.Add(new IDENTIFIER("68", "Well Baby Care"));
//       _identifiers.Add(new IDENTIFIER("69", "Maternity"));
//       _identifiers.Add(new IDENTIFIER("70", "Transplants"));
//       _identifiers.Add(new IDENTIFIER("71", "Audiology Exam"));
//       _identifiers.Add(new IDENTIFIER("72", "Inhalation Therapy"));
//       _identifiers.Add(new IDENTIFIER("73", "Diagnostic Medical"));
//       _identifiers.Add(new IDENTIFIER("74", "Private Duty Nursing"));
//       _identifiers.Add(new IDENTIFIER("75", "Prosthetic Device"));
//       _identifiers.Add(new IDENTIFIER("76", "Dialysis"));
//       _identifiers.Add(new IDENTIFIER("77", "Otological Exam"));
//       _identifiers.Add(new IDENTIFIER("78", "Chemotherapy"));
//       _identifiers.Add(new IDENTIFIER("79", "Allergy Testing"));
//       _identifiers.Add(new IDENTIFIER("80", "Immunizations"));
//       _identifiers.Add(new IDENTIFIER("82", "Family Planning"));
//       _identifiers.Add(new IDENTIFIER("83", "Infertility"));
//       _identifiers.Add(new IDENTIFIER("84", "Abortion"));
//       _identifiers.Add(new IDENTIFIER("85", "AIDS"));
//       _identifiers.Add(new IDENTIFIER("86", "Emergency Services"));
//       _identifiers.Add(new IDENTIFIER("87", "Cancer"));
//       _identifiers.Add(new IDENTIFIER("88", "Pharmacy"));
//       _identifiers.Add(new IDENTIFIER("93", "Podiatry"));
//       _identifiers.Add(new IDENTIFIER("A4", "Psychiatric"));
//       _identifiers.Add(new IDENTIFIER("A6", "Psychotherapy"));
//       _identifiers.Add(new IDENTIFIER("A9", "Rehabilitation"));
//       _identifiers.Add(new IDENTIFIER("AD", "Occupational Therapy"));
//       _identifiers.Add(new IDENTIFIER("AE", "Physical Medicine"));
//       _identifiers.Add(new IDENTIFIER("AF", "Speech Therapy"));
//       _identifiers.Add(new IDENTIFIER("AG", "Skilled Nursing Care"));
//       _identifiers.Add(new IDENTIFIER("AH", "Skilled Nursing Care - Room and Board"));
//       _identifiers.Add(new IDENTIFIER("AI", "Substance Abuse"));
//       _identifiers.Add(new IDENTIFIER("AJ", "Alcoholism"));
//       _identifiers.Add(new IDENTIFIER("AK", "Drug Addiction"));
//       _identifiers.Add(new IDENTIFIER("AL", "Vision (Optometry)"));
//       _identifiers.Add(new IDENTIFIER("AR", "Experimental Drug Therapy"));
//       _identifiers.Add(new IDENTIFIER("B1", "Burn Care"));
//       _identifiers.Add(new IDENTIFIER("BB", "Partial Hospitalization (Psychiatric)"));
//       _identifiers.Add(new IDENTIFIER("BC", "Day Care (Psychiatric)"));
//       _identifiers.Add(new IDENTIFIER("BD", "Cognitive Therapy"));
//       _identifiers.Add(new IDENTIFIER("BE", "Massage Therapy"));
//       _identifiers.Add(new IDENTIFIER("BF", "Pulmonary Rehabilitation"));
//       _identifiers.Add(new IDENTIFIER("BG", "Cardiac Rehabilitation"));
//       _identifiers.Add(new IDENTIFIER("BL", "Cardiac"));
//       _identifiers.Add(new IDENTIFIER("BN", "Castrointestinal"));
//       _identifiers.Add(new IDENTIFIER("BP", "Endocrine"));
//       _identifiers.Add(new IDENTIFIER("BQ", "Neurology"));
//       _identifiers.Add(new IDENTIFIER("BS", "Invasive Procedures"));
//       _identifiers.Add(new IDENTIFIER("BY", "Physician Visit - Officeextends Sick"));
//       _identifiers.Add(new IDENTIFIER("BZ", "Physician Visit - Officeextends Well"));
//       _identifiers.Add(new IDENTIFIER("C1", "Coronary Care"));
//       _identifiers.Add(new IDENTIFIER("CQ", "Case Management"));
//       _identifiers.Add(new IDENTIFIER("GY", "Allergy"));
//       _identifiers.Add(new IDENTIFIER("IC", "Intensive Care"));
//       _identifiers.Add(new IDENTIFIER("MH", "Mental Health"));
//       _identifiers.Add(new IDENTIFIER("NI", "Neonatal Intensive Care"));
//       _identifiers.Add(new IDENTIFIER("ON", "Oncology"));
//       _identifiers.Add(new IDENTIFIER("PT", "Physical Therapy"));
//       _identifiers.Add(new IDENTIFIER("PU", "Pulmonary"));
//       _identifiers.Add(new IDENTIFIER("RN", "Renal"));
//       _identifiers.Add(new IDENTIFIER("RT", "Residential Psychiatric Treatment"));
//       _identifiers.Add(new IDENTIFIER("TC", "Transitional Care"));
//       _identifiers.Add(new IDENTIFIER("TN", "Transitional Nursery Care"));
//    }
// }
//
// public class ShipDeliveryOrCalendarPatternCode extends IDENTIFIER_LIST
// {
//    public ShipDeliveryOrCalendarPatternCode()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("1", "1st Week of the Month"));
//       _identifiers.Add(new IDENTIFIER("2", "2nd Week of the Month"));
//       _identifiers.Add(new IDENTIFIER("3", "3rd Week of the Month"));
//       _identifiers.Add(new IDENTIFIER("4", "4th Week of the Month"));
//       _identifiers.Add(new IDENTIFIER("5", "5th Week of the Month"));
//       _identifiers.Add(new IDENTIFIER("6", "1st & 3rd Weeks of the Month"));
//       _identifiers.Add(new IDENTIFIER("7", "2nd & 4th Weeks of the Month"));
//       _identifiers.Add(new IDENTIFIER("8", "1st Working Day of Period"));
//       _identifiers.Add(new IDENTIFIER("9", "Last Working Day of Period"));
//       _identifiers.Add(new IDENTIFIER("A", "Monday through Friday"));
//       _identifiers.Add(new IDENTIFIER("B", "Monday through Saturday"));
//       _identifiers.Add(new IDENTIFIER("C", "Monday through Sunday"));
//       _identifiers.Add(new IDENTIFIER("D", "Monday"));
//       _identifiers.Add(new IDENTIFIER("E", "Tuesday"));
//       _identifiers.Add(new IDENTIFIER("F", "Wednesday"));
//       _identifiers.Add(new IDENTIFIER("G", "Thursday"));
//       _identifiers.Add(new IDENTIFIER("H", "Friday"));
//       _identifiers.Add(new IDENTIFIER("J", "Saturday"));
//       _identifiers.Add(new IDENTIFIER("K", "Sunday"));
//       _identifiers.Add(new IDENTIFIER("L", "Monday through Thursday"));
//       _identifiers.Add(new IDENTIFIER("M", "Immediately"));
//       _identifiers.Add(new IDENTIFIER("N", "As Directed"));
//       _identifiers.Add(new IDENTIFIER("O", "Daily Mon. through Fri."));
//       _identifiers.Add(new IDENTIFIER("P", "1/2 Mon. & 1/2 Thurs."));
//       _identifiers.Add(new IDENTIFIER("Q", "1/2 Tues. & 1/2 Thurs."));
//       _identifiers.Add(new IDENTIFIER("R", "1/2 Wed. & 1/2 Fri."));
//       _identifiers.Add(new IDENTIFIER("S", "Once Anytime Mon. through Fri."));
//       _identifiers.Add(new IDENTIFIER("SA", "Sunday, Monday, Thursday, Friday, Saturday"));
//       _identifiers.Add(new IDENTIFIER("SB", "Tuesday through Saturday"));
//       _identifiers.Add(new IDENTIFIER("SC", "Sunday, Wednesday, Thursday, Friday, Saturday"));
//       _identifiers.Add(new IDENTIFIER("SD", "Monday, Wednesday, Thursday, Friday, Saturday"));
//       _identifiers.Add(new IDENTIFIER("SG", "Tuesday through Friday"));
//       _identifiers.Add(new IDENTIFIER("SL", "Monday, Tuesday and Thursday"));
//       _identifiers.Add(new IDENTIFIER("SP", "Monday, Tuesday and Friday"));
//       _identifiers.Add(new IDENTIFIER("SX", "Wednesday and Thursday"));
//       _identifiers.Add(new IDENTIFIER("SY", "Monday, Wednesday and Thursday"));
//       _identifiers.Add(new IDENTIFIER("SZ", "Tuesday, Thursday and Friday"));
//       _identifiers.Add(new IDENTIFIER("T", "1/2 Tue. & 1/2 Fri."));
//       _identifiers.Add(new IDENTIFIER("U", "1/2 Mon. & 1/2 Wed."));
//       _identifiers.Add(new IDENTIFIER("V", "1/3 Mon., 1/3 Wed., 1/3 Fri."));
//       _identifiers.Add(new IDENTIFIER("W", "Whenever Necessary"));
//       _identifiers.Add(new IDENTIFIER("WE", "Weekend"));
//       _identifiers.Add(new IDENTIFIER("X", "1/2 By Wed., Bal. By Fri."));
//       _identifiers.Add(new IDENTIFIER("Y", "None"));
//    }
// }
//
// public class ShipDeliveryPatternTimeCode extends IDENTIFIER_LIST
// {
//    public ShipDeliveryPatternTimeCode()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("A", "1st Shift"));
//       _identifiers.Add(new IDENTIFIER("B", "2nd Shift"));
//       _identifiers.Add(new IDENTIFIER("C", "3rd Shift"));
//       _identifiers.Add(new IDENTIFIER("D", "A.M."));
//       _identifiers.Add(new IDENTIFIER("E", "P.M."));
//       _identifiers.Add(new IDENTIFIER("F", "As Directed"));
//       _identifiers.Add(new IDENTIFIER("G", "Any Shift"));
//       _identifiers.Add(new IDENTIFIER("Y", "None"));
//    }
// }
//
// public class SubluxationLevelCode extends IDENTIFIER_LIST
// {
//    public SubluxationLevelCode()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("C1", "Cervical 1"));
//       _identifiers.Add(new IDENTIFIER("C2", "Cervical 2"));
//       _identifiers.Add(new IDENTIFIER("C3", "Cervical 3"));
//       _identifiers.Add(new IDENTIFIER("C4", "Cervical 4"));
//       _identifiers.Add(new IDENTIFIER("C5", "Cervical 5"));
//       _identifiers.Add(new IDENTIFIER("C6", "Cervical 6"));
//       _identifiers.Add(new IDENTIFIER("C7", "Cervical 7"));
//       _identifiers.Add(new IDENTIFIER("CO", "Coccyx"));
//       _identifiers.Add(new IDENTIFIER("IL", "Illium"));
//       _identifiers.Add(new IDENTIFIER("L1", "Lumbar 1"));
//       _identifiers.Add(new IDENTIFIER("L2", "Lumbar 2"));
//       _identifiers.Add(new IDENTIFIER("L3", "Lumbar 3"));
//       _identifiers.Add(new IDENTIFIER("L4", "Lumbar 4"));
//       _identifiers.Add(new IDENTIFIER("L5", "Lumbar 5"));
//       _identifiers.Add(new IDENTIFIER("OC", "Occiput"));
//       _identifiers.Add(new IDENTIFIER("SA", "Sacrum"));
//       _identifiers.Add(new IDENTIFIER("T1", "Thoracic 1"));
//       _identifiers.Add(new IDENTIFIER("T10", "Thoracic 10"));
//       _identifiers.Add(new IDENTIFIER("T11", "Thoracic 11"));
//       _identifiers.Add(new IDENTIFIER("T12", "Thoracic 12"));
//       _identifiers.Add(new IDENTIFIER("T2", "Thoracic 2"));
//       _identifiers.Add(new IDENTIFIER("T3", "Thoracic 3"));
//       _identifiers.Add(new IDENTIFIER("T4", "Thoracic 4"));
//       _identifiers.Add(new IDENTIFIER("T5", "Thoracic 5"));
//       _identifiers.Add(new IDENTIFIER("T6", "Thoracic 6"));
//       _identifiers.Add(new IDENTIFIER("T7", "Thoracic 7"));
//       _identifiers.Add(new IDENTIFIER("T8", "Thoracic 8"));
//       _identifiers.Add(new IDENTIFIER("T9", "Thoracic 9"));
//    }
// }
//
// public class TimePeriodQualifier extends IDENTIFIER_LIST
// {
//    public TimePeriodQualifier()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("6", "Hour"));
//       _identifiers.Add(new IDENTIFIER("7", "Day"));
//       _identifiers.Add(new IDENTIFIER("21", "Years"));
//       _identifiers.Add(new IDENTIFIER("26", "Episode"));
//       _identifiers.Add(new IDENTIFIER("27", "Visit"));
//       _identifiers.Add(new IDENTIFIER("29", "Remaining"));
//       _identifiers.Add(new IDENTIFIER("34", "Month"));
//       _identifiers.Add(new IDENTIFIER("35", "Week"));
//    }
// }
//
// public class ToothSurfaceCode extends IDENTIFIER_LIST
// {
//    public ToothSurfaceCode()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("B", "Buccal"));
//       _identifiers.Add(new IDENTIFIER("D", "Distal"));
//       _identifiers.Add(new IDENTIFIER("F", "Facial"));
//       _identifiers.Add(new IDENTIFIER("I", "Incisal"));
//       _identifiers.Add(new IDENTIFIER("L", "Lingual"));
//       _identifiers.Add(new IDENTIFIER("M", "Mesial"));
//       _identifiers.Add(new IDENTIFIER("O", "Occlusal"));
//    }
// }
//
// public class TraceTypeCode extends IDENTIFIER_LIST
// {
//    public TraceTypeCode()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("1", "Current Transaction Trace Numbers"));
//       _identifiers.Add(new IDENTIFIER("2", "Referenced Transaction Trace Numbers"));
//    }
// }
//
// public class TransactionSetIdentifierCode extends IDENTIFIER_LIST
// {
//    public TransactionSetIdentifierCode()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("278", "Health Care Services Review Information"));
//    }
// }
//
// public class TransactionSetPurposeCode extends IDENTIFIER_LIST
// {
//    public TransactionSetPurposeCode()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("01", "Cancellation"));
//       _identifiers.Add(new IDENTIFIER("11", "Response"));
//       _identifiers.Add(new IDENTIFIER("13", "Request"));
//       _identifiers.Add(new IDENTIFIER("28", "Query"));
//       _identifiers.Add(new IDENTIFIER("36", "Authority to Deduct"));
//       _identifiers.Add(new IDENTIFIER("49", "Original - No Response Necessary"));
//       _identifiers.Add(new IDENTIFIER("51", "Historical Inquiry"));
//       _identifiers.Add(new IDENTIFIER("52", "Response to Historical Inquiry"));
//    }
// }
//
// public class TransactionTypeCode extends IDENTIFIER_LIST
// {
//    public TransactionTypeCode()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("18", "Response - No Further Updates to Follow"));
//       _identifiers.Add(new IDENTIFIER("19", "Response - Further Updates to Follow"));
//       _identifiers.Add(new IDENTIFIER("AT", "Administrative Action"));
//       _identifiers.Add(new IDENTIFIER("RD", "Returns Detail"));
//       _identifiers.Add(new IDENTIFIER("RS", "Response - Additional Response(s) Available"));
//       _identifiers.Add(new IDENTIFIER("RU", "Medical Services Reservation"));
//       _identifiers.Add(new IDENTIFIER("ZW", "Sort and Segregate Detail"));
//    }
// }
//
// public class UnitOrBasisForMeasurementCode extends IDENTIFIER_LIST
// {
//    public UnitOrBasisForMeasurementCode()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("DA", "Days"));
//       _identifiers.Add(new IDENTIFIER("DH", "Miles"));
//       _identifiers.Add(new IDENTIFIER("DK", "Kilometers"));
//       _identifiers.Add(new IDENTIFIER("F2", "International Unit"));
//       _identifiers.Add(new IDENTIFIER("KG", "Kilogram"));
//       _identifiers.Add(new IDENTIFIER("LB", "Pound"));
//       _identifiers.Add(new IDENTIFIER("MJ", "Minutes"));
//       _identifiers.Add(new IDENTIFIER("MO", "Months"));
//       _identifiers.Add(new IDENTIFIER("UN", "Unit"));
//       _identifiers.Add(new IDENTIFIER("WK", "Week"));
//    }
// }
//
// public class VersionReleaseIndustryIdentifierCode extends IDENTIFIER_LIST
// {
//    public VersionReleaseIndustryIdentifierCode()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("005010X215", "Standards Approved for Publication by ASC X12 Procedures Review Board through October 2003"));
//       _identifiers.Add(new IDENTIFIER("005010X217", "Standards Approved for Publication by ASC X12 Procedures Review Board through October 2003"));
//    }
// }
//
//  class YesNoConditionOrResponseCode extends IDENTIFIER_LIST
// {
//    public YesNoConditionOrResponseCode()
//    {
//       _identifiers = new List<IDENTIFIER>();
//       _identifiers.Add(new IDENTIFIER("N", "No"));
//       _identifiers.Add(new IDENTIFIER("W", "Not Applicable"));
//       _identifiers.Add(new IDENTIFIER("Y", "Yes"));
//    }
// }
//}
