<%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="sec" uri="http://www.springframework.org/security/tags" %>

<head>
<meta charset="UTF-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1.0">

<title>Authorization Request Processing System</title>
<link href="http://www.va.gov/favicon.ico" rel="shortcut icon" type="image/x-icon" />


<!-- <link href="https://DNS.URL       /ApplicationTemplate/css/site.css" rel="stylesheet"> -->
<!-- <link href="https://DNS.URL       /ApplicationTemplate/css/gridView.css" rel="stylesheet"> -->
<!-- <link href="https://DNS.URL       /ApplicationTemplate/css/menu.css" rel="stylesheet"> -->
<!-- <link href="https://DNS.URL       /ApplicationTemplate/css/themes/cbopc/jquery.ui.all.css" rel="stylesheet"> -->


<link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/resources/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="${pageContext.request.contextPath}/resources/css/style.css">
<link rel="stylesheet" href="${pageContext.request.contextPath}/resources/css/datatables/jquery.dataTables.min.css">
<link rel="stylesheet" href="https://cdn.datatables.net/1.10.12/css/jquery.dataTables.min.css">
<link href="https://DNS.URL       /ApplicationTemplate/css/cbopc_stock.css" rel="stylesheet"/>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/handlebars.js/4.0.5/handlebars.min.js"></script>

<script src="https://cdn.datatables.net/1.10.11/js/jquery.dataTables.min.js"></script>


<%@ include file="../pages/Templates/patientInfo_template.html"%> 
<%@ include file="../pages/Templates/careRequested_template.html"%>
<%@ include file="../pages/Templates/services_template.html"%> 
<%@ include file="../pages/Templates/patientOther_template.html"%> 

<header>
<div class="content-wrapper">
		<div class="float-left">                    
		    <p class="site-title">
		    	<img src="${pageContext.request.contextPath}/resources/img/CBOPC_Logo.png" alt="CBOPC Logo" /><br />
	        	<a href="" >Authorization Request Processing System</a>	        	
	        </p>
		</div>
</div>
</header>
	
</head>
 
	