
<!DOCTYPE html>
<html>
<div class="row">
<jsp:include page="header.jsp"></jsp:include>
<script src="${pageContext.request.contextPath}/resources/js/lib/spinner.min.js"></script>

</div>
<body>

<style>

/*@media all*/
body {
    background-color: #003F72;
    border-top: solid 10px white;
    color: #333;
    font-size:small ;
    font-family: "Segoe UI", Verdana, Helvetica, Sans-Serif;
    margin: 0 10px;
    padding: 0;
}

tfoot input {
        width: 100%;
        padding: 3px;
        box-sizing: border-box;
    }


.accordion-toggle{
 	background-color: whitesmoke !important;
 	color:red;
	font:bold;
 	
}

.icon-home{
	color:red;
	font:bold;
}
</style>


<div class="container-fluid">
<div class="panel panel-default col-md-12">
	
<div class="float-right"><strong>Logged in as:</strong> ${user} @<strong>Station<div name="sno" id="sno">${stationNo}</div></strong> 	
</div>

<section>
	<div align="center" id="uerNotAuthorized" class=""> <h1> <b>${uerNotAuthorized}</b> </h1></div>
</section>

<section id="showResult">
			<div class="row">
				<div class="col-sm-2 col-md-2 col-lg-2">
				<div class="label label-alert">278 Navigation</div>
					
					<div id="nav-sidebar">
						<div class="navbar " role="navigation">
							<ul class="nav navbar-nav" id="nav2">
								<div class="accordion" id="leftMenu">
									<div id="queueLstdiv"></div>
								</div>
							</ul>
						</div>
					</div>
				</div>
				<div class="col-sm-10 col-md-10 col-lg-10">
				<div class="float-left" id="loading"></div>
				<div> Search patient : <input type="text" id="searchPId" />  <button class="btn btn-primary" id="searchPat" >Search</button>
				 <input type="checkbox" name="archieve" id="archieve" >  include Archive </>
				</div>
				<div id="patSearchList" class="hidden"> ${patSearchList} </div>
				<table class=" display" id="searchTable" cellspacing="0" width="100%" id="searchTab">
							<thead>
								<th  class="col-md-2" data-sortable="true"><h4><b>Name </b></h4></th>
								<th  class="col-md-1"><h4><b> Id</span></b></h4></th>
								<th  class="col-md-1" data-sortable="true"><h4><b>DOB</b></h4></th>
								<th  class="col-md-3"><h4><b>Requester </b></h4></th>
								<th  class="col-md-2"><h4><b>Service</b></h4></th>
								<th  class="col-md-1"><h4><b>Request Date</b></h4></th>
								<th  class="col-md-1"><h4><b>Queue</b></h4></th>
							</thead>
							<tbody class="tablesearch" id="patsearchdiv">
				</table>
					<div class="content col-xs-12 col-sm-8 col-md-12 col-lg-12" id="spPortalAdv">
								
						<div class="row" id="spPageDispay">
							<div class="panel panel-default">
								<div class="panel-heading">
									<div  id="qname" name="qname" ><h2>${QueueName}</h2></div>
								</div>

							
								<table class=" display" id="mainTable"
								  cellspacing="0" width="100%"
								>
								<div id="patList" class="hidden"> ${PatientList} </div>
								<div id="uerNotAuthorizedFlag" class="hidden">${uerNotAuthorizedFlag}</div>
								
								<thead>
									<th  class="col-md-2" data-sortable="true"><h4><b>Name </b></h4></th>
									<th  class="col-md-1"><h4><b> Id</span></b></h4></th>
									<th  class="col-md-1" data-sortable="true"><h4><b>DOB</b></h4></th>
									<th  class="col-md-3"><h4><b>Requester </b></h4></th>
									<th  class="col-md-2"><h4><b>Service</b></h4></th>
									<th  class="col-md-1"><h4><b>Request Date</b></h4></th>
									<th  class="col-md-1"><h4><b>Queue Days</b></h4></th>
								</thead>
								<tbody class="tablesearch" id="patListdiv">
									
								</tbody>
								<tfoot>
								<th><input type="text" placeholder="Search Name"  /></th>
								<th><input type="text" placeholder="Search ID" /></th>
								<th>  <input type="text" placeholder="Search DOB"  /></th>
								<th>  <input type="text" placeholder="Search Requester"/></th>
								<th> <input type="text" placeholder="Search service" /></th>
								<th> <input type="text" placeholder="Search Req Date"  /></th>
								<th ><input type="text" placeholder="Search queue"  width="55"/> </th>								
								</tfoot>
								</table>
							</div>

						</div>
					</div>
				</div>
			</div>
		
	</section>
	</div>
	</div>
	<hr>	
<jsp:include page="footer.jsp"></jsp:include>

<script  type="text/x-handlebars-template"  id="allPatListview">

{{#each this}}
<tr class="item">
		<td class="col-md-2">
			<a href="patIndPortal?id={{requestId}}">{{name}}</a>
		</td>
		<td class="col-md-1">
			{{patientId}}
		</td>
		<td class="col-md-1">
			{{dob}}
		</td>
		<td class="col-md-3">
			{{requesterCode}}
		</td>
		<td class="col-md-2">
			{{service}}
		</td>
		<td class="col-md-1">
			{{requestDate}}
		</td>
		<td class="col-md-1 highlight">
			{{queueDays}}
		</td>
</tr>
{{/each}}

</script>

<script type="text/x-handlebars-template" id="queueView">



<div class="accordion-heading">
                            <a class="accordion-toggle" data-toggle="collapse" data-parent="#leftMenu" href=#-{{href}}>
                                <i class="icon-list-alt"></i> {{h1queue}}
                            </a>
 </div>
</script>

<script type="text/x-handlebars-template" id="iqueueView">
  
<div id="-{{href}}" class="accordion-body" >
                            <div class="accordion-inner">
					{{#each this}}
                                <ul>
                                		<li><a href="allpatPortal?queue={{queueId}}">{{queueName}}
										 {{#ifCond menuOrder '<' 3}}
										 	<span class="badge">{{qCount}}</span>
										{{/ifCond}}
										</a></li>
                                </ul>
 					{{/each}}
                            </div>
</div>

</div>
</div>
</script>

	
<script>

$(document).ready( function(){
	
	$('#searchTable').addClass('hidden');
	
	
	$(document).on('click','#searchPat',function(){
		
		var chkArh='0';
		if ($('#archieve').prop('checked')==true){
			chkArh=1;
		}
	
		params=$('#searchPId').val()+'&chkArc='+chkArh;
		$.ajax({
			type: 'GET',
			url: '${pageContext.request.contextPath}/rest/ws/sp/getPatientInfoById?id='+params,
			dataType: "json",
	  		data: params,
			success: function(data){
				$('#searchTable').removeClass('hidden');
				$('#spPageDispay').hide();
				$("mainTable").dataTable().fnDestroy();
				$("searchTable").dataTable().fnDestroy();
					
				  var stable =  $('#searchTable').DataTable( {
			   		"aaData": data,
		    		"aoColumnDefs":[{
		    			"aTargets":[0],
		    			"mData":"link",
		        		"mRender":function(data,type,full){ 
		        			console.log('full '+full);
		        			var url = "patIndPortal/?id="+full.reqId+"&sno="+$('#sno').text()+"&qname="+$('#qname').text();
		    	        	return '<a href="'+url+'">'+data+'</a>';
		    	        	}   		
				  }],
		    		"aoColumns": [
		        	        	{ "mDataProp": "name" }  , 
        	           			{ "mDataProp": "id" },
        	            		{ "mDataProp": "dob" },
        	            		{ "mDataProp": "requester" },
        	         		 	{ "mDataProp": "service" },
        	            		{ "mDataProp": "reqDate" },
        	            		{ "mDataProp": "qName" }
		        	        ],
		        	 "createdRow" : function ( row, data, index ) {
		        	            if (  (data.queueDays) > 30) {
		        	                $('td', row).eq(6).addClass('highlight');
		        	            }
		        	        }     
		      	 
		    	} );
			},
	  		  error: function(jqXHR, textStatus,errorThrown) {
				alert("getPatientInfoById Request failed: " + jqXHR.responseText + errorThrown + textStatus);
	  		  }
		});
		
	});
	
	
	var uerNotAuthorizedFlag = $.trim($("#uerNotAuthorizedFlag").text());
	
	if (uerNotAuthorizedFlag=='n'){
		$('#showResult').addClass('hidden');
		
	}
	else{
		var target = document.getElementById('loading');
		var spinner = new Spinner().spin(target);
		

		$.ajax({
			type: 'GET',
			url: '${pageContext.request.contextPath}/rest/ws/sp/getQueue',
			data: "stationNo="+${stationNo},
			dataType: "json",
			success: function(data){
				$("#queueLstdiv").append(('<div class="accordion" id="leftMenu"> <div class="accordion-group">'));
				
				var hviewScr = $("#queueView").html();
				var hviewtmpl = Handlebars.compile(hviewScr);
				var html = hviewtmpl(data.hcarejson);
				$("#queueLstdiv").html(html);
				
				var iviewScr = $("#iqueueView").html();
				var iviewtmpl = Handlebars.compile(iviewScr);
				var ihtml = iviewtmpl(JSON.parse(data.hcarejson.QueueList));
				$("#queueLstdiv").append(ihtml);
				
				var pviewScr = $("#queueView").html();
				var pviewtmpl = Handlebars.compile(pviewScr);
				var html = pviewtmpl(data.pcarejson);
				$("#queueLstdiv").append(html);
				
				var pviewScr = $("#iqueueView").html();
				var pviewtmpl = Handlebars.compile(pviewScr);
				var phtml = pviewtmpl(JSON.parse(data.pcarejson.QueueList));
				$("#queueLstdiv").append(phtml);
				
				var rviewScr = $("#queueView").html();
				var pviewtmpl = Handlebars.compile(rviewScr);
				var rhtml = pviewtmpl(data.rcarejson);
				$("#queueLstdiv").append(rhtml);
				
				var rviewScr = $("#iqueueView").html();
				var rviewtmpl = Handlebars.compile(rviewScr);
				var rhtml = rviewtmpl(JSON.parse(data.rcarejson.QueueList));
				$("#queueLstdiv").append(rhtml);
				
				$("#queueLstdiv").append('</div> </div>');
				
				
			},
	  		  error: function(jqXHR, textStatus,errorThrown) {
				alert("getQueue Request failed: " + jqXHR.responseText + errorThrown + textStatus);
	  		  }
			
		});
	  
		spinner.stop();
		
		if ($.trim($("#patList").text())!="") {
			var dataSet = JSON.parse($.trim($("#patList").text()));
		}
		  var table =  $('#mainTable').DataTable( {
	   		"aaData": dataSet,
    		"aoColumnDefs":[{
    			"aTargets":[0],
    			"mData":"link",
        		"mRender":function(data,type,full){ 
        			var url = "patIndPortal/?id="+full.reqId+"&sno="+$('#sno').text()+"&qname="+$('#qname').text();
    	        	return '<a href="'+url+'">'+data+'</a>';
    	        	}   		
		  }],
		  "language": {
		        "zeroRecords":     "No records found"
		    },
    		"aoColumns": [
        	        	{ "mDataProp": "name" }  , 
        	            { "mDataProp": "id" },
        	            { "mDataProp": "dob" },
        	            { "mDataProp": "requester" },
        	           { "mDataProp": "service" },
        	            { "mDataProp": "requestDate" },
        	            { "mDataProp": "queueDays" }
        	        ],
        	 "createdRow" : function ( row, data, index ) {
        	            if (  (data.queueDays) > 30) {
        	                $('td', row).eq(6).addClass('highlight');
        	            }
        	        }     
      	 
    	} );
    	
		 // Setup - add a text input to each footer cell
		    $('#mainTable tfoot th').each( function () {
		        var title = $(this).text();
		        $(this).html( '<input type="text" placeholder="Search '+title+'" />' );
		    } );
		 
		 
		 
		    // DataTable
		    var table = $('#mainTable').DataTable();
		 
		    // Apply the search
		    table.columns().every( function () {
		        var that = this;
		 
		        $( 'input', this.footer() ).on( 'keyup change', function () {
		            if ( that.search() !== this.value ) {
		                that
		                    .search( this.value )
		                    .draw();
		            }
		        } );
		    } );
		
		}
	
	Handlebars.registerHelper('ifCond', function (v1, operator, v2, options) {

	    switch (operator) {
	        case '==':
	            return (v1 == v2) ? options.fn(this) : options.inverse(this);
	        case '===':
	            return (v1 === v2) ? options.fn(this) : options.inverse(this);
	        case '<':
	            return (v1 < v2) ? options.fn(this) : options.inverse(this);
	        case '<=':
	            return (v1 <= v2) ? options.fn(this) : options.inverse(this);
	        case '>':
	            return (v1 > v2) ? options.fn(this) : options.inverse(this);
	        case '>=':
	            return (v1 >= v2) ? options.fn(this) : options.inverse(this);
	        case '&&':
	            return (v1 && v2) ? options.fn(this) : options.inverse(this);
	        case '||':
	            return (v1 || v2) ? options.fn(this) : options.inverse(this);
	        default:
	            return options.inverse(this);
	    }
	});
// 		  $('#mainTable tbody').on( 'click', 'tr', function () {
// 		        if ( $(this).hasClass('selected') ) {
// 		            $(this).removeClass('selected');
// 		        }
// 		        else {
// 		            table.$('tr.selected').removeClass('selected');
// 		            $(this).addClass('selected');
// 		        }
// 		    } );
		 
// 		    $('#button').click( function () {
// 		        table.row('.selected').remove().draw( false );
// 		    } );
});

</script>






</body>
</html>

