<style>

#leftMenu .accordion-group {
    margin-bottom: 0px;
    border:0px;
    -webkit-border-radius: 0px;
    -moz-border-radius: 0px;
    border-radius: 0px;
}    

#leftMenu .accordion-heading {
    height: 34px;
    border-top: 1px solid #717171; /* inner stroke */
    border-bottom: 1px solid #5A5A5A; /* inner stroke */
    background-color: #353535; /* layer fill content */
    background-image: -moz-linear-gradient(90deg, #595b59 0%, #616161 100%); /* gradient overlay */
    background-image: -o-linear-gradient(90deg, #595b59 0%, #616161 100%); /* gradient overlay */
    background-image: -webkit-linear-gradient(90deg, #595b59 0%, #616161 100%); /* gradient overlay */
    background-image: linear-gradient(90deg, #595b59 0%, #616161 100%); /* gradient overlay */
    list-style-type:none;
}  

#leftMenu .accordion-inner{
	background-color: #fff;
}

#leftMenu .accordion-inner a{
	background-color: #fff;
	color: #0000ff; 
	cursor: pointer;
}
#leftMenu .accordion-heading  a{  
    color: #cbcbcb; /* text color */
    text-shadow: 0 1px 0 #3b3b3b; /* drop shadow */
    text-decoration:underline;
    font-weight:bold;  
}

#leftMenu .accordion-heading  a:hover{  
    color:#f0f     
}

#leftMenu .accordion-heading .active {
    width: 182px;
    height: 34px;
    border: 1px solid #5b5b5b; /* inner stroke */
    background-color: #353535; /* layer fill content */
    background-image: -moz-linear-gradient(90deg, #4b0b4b 0%, #555 100%); /* gradient overlay */
    background-image: -o-linear-gradient(90deg, #4b0b4b 0%, #555 100%); /* gradient overlay */
    background-image: -webkit-linear-gradient(90deg, #4b0b4b 0%, #555 100%); /* gradient overlay */
    background-image: linear-gradient(90deg, #4b0b4b 0%, #555 100%); /* gradient overlay */
}
</style>


<div class="accordion" id="leftMenu">
	
	
</div>

<div id="queueList" class="hidden">${queueList}</div>

<div id="nav-sidebar">
	<div class="navbar " role="navigation">
		<ul class="nav navbar-nav" id="nav2">
			<div id="queueLstdiv"></div>
		</ul>
	</div>
</div>

<script type="text/x-handlebars-template" id="queueView">

<div class="accordion-group">
                        <div class="accordion-heading">
                            <a class="accordion-toggle" data-toggle="collapse" data-parent="#leftMenu"  href="#spParentdiv" >
                                  <i class="icon-home"><a id="topQueueGrphref"><div id="topQueueGrp"> </div> </a></i>
                            </a>
                        </div>
                        <div id="spParentdiv" class="accordion-body " >
                            <div class="accordion-inner">
                                <ul>
                                	  <li><a  id="inQueueGrphref"><div id="inQueueGrp"> </div> </a></li>
                                </ul>
                            </div>
                        </div>
                    </div>
 
</div>

</script>




<script>

$(document).ready(function() {
	var uerNotAuthorizedFlag = $.trim($("#uerNotAuthorizedFlag").text());
	
	if (uerNotAuthorizedFlag !='n'){
	
		var queueson = JSON.parse(($("#queueList").text()));
		
		
		var qScript = $("#queueView").html();
		var qemp = Handlebars.compile(qScript);
		$("#queueLstdiv").empty();
		var x = $("#topQueueGrp").append(qemp(queueson));
		$("#queueLstdiv").append(x);
		
	
	}

});

Handlebars.registerHelper('ifCond', function (v1, operator, v2, options) {

    switch (operator) {
        case '==':
            return (v1 == v2) ? options.fn(this) : options.inverse(this);
        case '===':
            return (v1 === v2) ? options.fn(this) : options.inverse(this);
        case '<':
            return (v1 < v2) ? options.fn(this) : options.inverse(this);
        case '<=':
            return (v1 <= v2) ? options.fn(this) : options.inverse(this);
        case '>':
            return (v1 > v2) ? options.fn(this) : options.inverse(this);
        case '>=':
            return (v1 >= v2) ? options.fn(this) : options.inverse(this);
        case '&&':
            return (v1 && v2) ? options.fn(this) : options.inverse(this);
        case '||':
            return (v1 || v2) ? options.fn(this) : options.inverse(this);
        default:
            return options.inverse(this);
    }
});
</script>
					