		//trace display
		$(document).on('click','#traceN',function(){
			
			$("label[for*='heading']").html("<h2>Patient Information : </h2>");
			$('#acceptdenydiv').hide();
			$('#queueLstdiv').hide();
			params=$('#rid').text();
			var target = document.getElementById('loading');
			var spinner = new Spinner().spin(target);
			
			$.ajax({
				type: 'GET',
				url: '${pageContext.request.contextPath}/rest/ws/sp/getracking?id='+params,
				dataType: "json",
		  		data: params,
				success: function(data){
					
					var dependentjson = $.trim(data);
					$this=$(this);
					var dviewScr = $("#trackView").html();
					var dviewtmpl = Handlebars.compile(dviewScr);
					$("#trackdiv").empty();
					$("#trackdiv").append(dviewtmpl(data));
					spinner.stop();
				},
		  		  error: function(jqXHR, textStatus,errorThrown) {
		  			//pilotUIJs.common.waitingDialogue.hide();
					alert("getracking Request failed: " + jqXHR.responseText + errorThrown + textStatus);
		  		  }
			});
			});
		
		
		//review display
		$(document).on('click','#sReview',function(){
			
			$("label[for*='heading']").html("<h2>Patient Information :</h2>");
			$('#acceptdenydiv').hide();
			$('#queueLstdiv').hide();
			params=$('#rid').text();
			var target = document.getElementById('loading');
			var spinner = new Spinner().spin(target);
			
			$.ajax({
				type: 'GET',
				url: '${pageContext.request.contextPath}/rest/ws/sp/getSReview?id='+params,
				dataType: "json",
		  		data: params,
				success: function(data){
					
					var dependentjson = $.trim(data);
					$this=$(this);
					var dviewScr = $("#sReviewView").html();
					var dviewtmpl = Handlebars.compile(dviewScr);
					$("#sReviewdiv").empty();
					$("#sReviewdiv").append(dviewtmpl(data));
					spinner.stop();
				},
		  		  error: function(jqXHR, textStatus,errorThrown) {
		  			//pilotUIJs.common.waitingDialogue.hide();
					alert("getSReview Request failed: " + jqXHR.responseText + errorThrown + textStatus);
		  		  }
			});
			});
		//dates display
		$(document).on('click','#dates',function(){
			
			$("label[for*='heading']").html("<h2>Patient Information :</h2>");
			$('#acceptdenydiv').hide();
			$('#queueLstdiv').hide();
			params=$('#rid').text();
			var target = document.getElementById('loading');
			var spinner = new Spinner().spin(target);
			
			
			$.ajax({
				type: 'GET',
				url: '${pageContext.request.contextPath}/rest/ws/sp/getDates?id='+params,
				dataType: "json",
		  		data: params,
				success: function(data){
					
					var dependentjson = $.trim(data);
					$this=$(this);
					var dviewScr = $("#dateView").html();
					var dviewtmpl = Handlebars.compile(dviewScr);
					$("#datesdiv").empty();
					$("#datesdiv").append(dviewtmpl(data));
					spinner.stop();
					
				},
		  		  error: function(jqXHR, textStatus,errorThrown) {
		  			//pilotUIJs.common.waitingDialogue.hide();
					alert("getDates Request failed: " + jqXHR.responseText + errorThrown + textStatus);
		  		  }
			});
			});
		
		//Reference display
		$(document).on('click','#reference',function(){
			
			$("label[for*='heading']").html("<h2>Patient Information :</h2>");
			$('#acceptdenydiv').hide();
			$('#queueLstdiv').hide();
			params=$('#rid').text();
			var target = document.getElementById('loading');
			var spinner = new Spinner().spin(target);
			
			$.ajax({
				type: 'GET',
				url: '${pageContext.request.contextPath}/rest/ws/sp/getReferences?id='+params,
				dataType: "json",
		  		data: params,
				success: function(data){
					
					var dependentjson = $.trim(data);
					$this=$(this);
					var dviewScr = $("#referView").html();
					var dviewtmpl = Handlebars.compile(dviewScr);
					$("#refdiv").empty();
					$("#refdiv").append(dviewtmpl(data));
					spinner.stop();
					
				},
		  		  error: function(jqXHR, textStatus,errorThrown) {
		  			//pilotUIJs.common.waitingDialogue.hide();
					alert("getReferences Request failed: " + jqXHR.responseText + errorThrown + textStatus);
		  		  }
			});
			});
		
		
		//transport display
		$(document).on('click','#transport',function(){
			
			$("label[for*='heading']").html("<h2>Patient Information :</h2>");
			
			$('#acceptdenydiv').hide();
			$('#queueLstdiv').hide();
			params=$('#rid').text();
			var target = document.getElementById('loading');
			var spinner = new Spinner().spin(target);
			
			$.ajax({
				type: 'GET',
				url: '${pageContext.request.contextPath}/rest/ws/sp/getTransportInfo?id='+params,
				dataType: "json",
		  		data: params,
				success: function(data){
					
					var dependentjson = $.trim(data);
					$this=$(this);
					var dviewScr = $("#transportView").html();
					var dviewtmpl = Handlebars.compile(dviewScr);
					$("#transportdiv").empty();
					$("#transportdiv").append(dviewtmpl(data));
					spinner.stop();
				},
		  		  error: function(jqXHR, textStatus,errorThrown) {
		  			//pilotUIJs.common.waitingDialogue.hide();
					alert("getTransportInfo Request failed: " + jqXHR.responseText + errorThrown + textStatus);
		  		  }
			});
			});
		
		//certifate
		$(document).on('click','#certificate',function(){


			$("label[for*='heading']").html("<h2>Patient Information :</h2>");
			
			$('#acceptdenydiv').hide();	
			$('#queueLstdiv').hide();
			params=$('#rid').text();
			
			var target = document.getElementById('loading');
			var spinner = new Spinner().spin(target);
			
			$.ajax({
				type: 'GET',
				url: '${pageContext.request.contextPath}/rest/ws/sp/getCertificateInfo?id='+params,
				dataType: "json",
		  		data: params,
				success: function(data){
					
					var dependentjson = $.trim(data);
					$this=$(this);
					var dviewScr = $("#certifinfoView").html();
					var dviewtmpl = Handlebars.compile(dviewScr);
					$("#certificatediv").empty();
					$("#certificatediv").append(dviewtmpl(data));
					spinner.stop();
				},
		  		  error: function(jqXHR, textStatus,errorThrown) {
					alert("getCertificateInfo Request failed: " + jqXHR.responseText + errorThrown + textStatus);
		  		  }
			});
		});
		
		//diagnosis
		$(document).on('click','#diagnosis',function(){


			$("label[for*='heading']").html("<h2>Patient Information :</h2>");
			
			$('#acceptdenydiv').hide();	
			$('#queueLstdiv').hide();
			params=$('#rid').text();
			var target = document.getElementById('loading');
			var spinner = new Spinner().spin(target);
			
			
			$.ajax({
				type: 'GET',
				url: '${pageContext.request.contextPath}/rest/ws/sp/getDiagnosis?id='+params,
				dataType: "json",
		  		data: params,
				success: function(data){
					
					var dependentjson = $.trim(data);
					$this=$(this);
					var dviewScr = $("#diagView").html();
					var dviewtmpl = Handlebars.compile(dviewScr);
					$("#patientdiv").empty();
					$("#patientdiv").append(dviewtmpl(data));
					spinner.stop();
				},
		  		  error: function(jqXHR, textStatus,errorThrown) {
					alert("getDiagnosis Request failed: " + jqXHR.responseText + errorThrown + textStatus);
		  		  }
			});
		});
		
		//spinal display
		$(document).on('click','#spinal',function(){
			
			$("label[for*='heading']").html("<h2>Patient Information :</h2>");
			
			$('#acceptdenydiv').hide();	
			$('#queueLstdiv').hide();
			params=$('#rid').text();
			var target = document.getElementById('loading');
			var spinner = new Spinner().spin(target);
			
		
			
			$.ajax({
				type: 'GET',
				url: '${pageContext.request.contextPath}/rest/ws/sp/getSpinalInfo?id='+params,
				dataType: "json",
		  		data: params,
				success: function(data){
					
					var dependentjson = $.trim(data);
					$this=$(this);
					var dviewScr = $("#spinalView").html();
					var dviewtmpl = Handlebars.compile(dviewScr);
					$("#patientdiv").empty();
					$("#patientdiv").append(dviewtmpl(data));
					spinner.stop();
				},
		  		  error: function(jqXHR, textStatus,errorThrown) {
		  			//pilotUIJs.common.waitingDialogue.hide();
					alert("getSpinalInfo Request failed: " + jqXHR.responseText + errorThrown + textStatus);
		  		  }
			});
		});
		
		//Home Oxygen display
		$(document).on('click','#oxygen',function(){


			$("label[for*='heading']").html("<h2>Patient Information :</h2>");
			
			$('#acceptdenydiv').hide();	
			$('#queueLstdiv').hide();
			params=$('#rid').text();
			var target = document.getElementById('loading');
			var spinner = new Spinner().spin(target);
			
			
			$.ajax({
				type: 'GET',
				url: '${pageContext.request.contextPath}/rest/ws/sp/getHomeOxygen?id='+params,
				dataType: "json",
		  		data: params,
				success: function(data){
					
					var dependentjson = $.trim(data);
					$this=$(this);
					var dviewScr = $("#hOxygenView").html();
					var dviewtmpl = Handlebars.compile(dviewScr);
					$("#patientdiv").empty();
					$("#patientdiv").append(dviewtmpl(data));
					spinner.stop();
				},
		  		  error: function(jqXHR, textStatus,errorThrown) {
		  			//pilotUIJs.common.waitingDialogue.hide();
					alert("getHomeOxygen Request failed: " + jqXHR.responseText + errorThrown + textStatus);
		  		  }
			});
		});
		
		//Institution claim
		$(document).on('click','#institution',function(){


			$("label[for*='heading']").html("<h2>Patient Information :</h2>");
			
			$('#acceptdenydiv').hide();	
			$('#queueLstdiv').hide();
			params=$('#rid').text();
			
			$.ajax({
				type: 'GET',
				url: '${pageContext.request.contextPath}/rest/ws/sp/getInstituionClaim?id='+params,
				dataType: "json",
		  		data: params,
				success: function(data){
					
					var dependentjson = $.trim(data);
					$this=$(this);
					var dviewScr = $("#iClaimView").html();
					var dviewtmpl = Handlebars.compile(dviewScr);
					$("#patientdiv").empty();
					$("#patientdiv").append(dviewtmpl(data));
					spinner.stop();
				},
		  		  error: function(jqXHR, textStatus,errorThrown) {
		  			//pilotUIJs.common.waitingDialogue.hide();
					alert("getInstitutionClaim Request failed: " + jqXHR.responseText + errorThrown + textStatus);
		  		  }
			});
		});
		
		//serDelivery display
		$(document).on('click','#careSerDelivery',function(){
			
			$("label[for*='heading']").html("<h2>Patient Information :</h2>");
			$('#acceptdenydiv').hide();
			$('#queueLstdiv').hide();
			params=$('#rid').text();
			var target = document.getElementById('loading');
			var spinner = new Spinner().spin(target);
			
			
			$.ajax({
				type: 'GET',
				url: '${pageContext.request.contextPath}/rest/ws/sp/getCareSerDelivery?id='+params,
				dataType: "json",
		  		data: params,
				success: function(data){
					
					var dependentjson = $.trim(data);
					$this=$(this);
					var dviewScr = $("#careServDelSView").html();
					var dviewtmpl = Handlebars.compile(dviewScr);
					$("#patientdiv").empty();
					$("#patientdiv").append(dviewtmpl(data));
					spinner.stop();
					
				},
		  		  error: function(jqXHR, textStatus,errorThrown) {
						alert("getSvcSerDelivery Request failed: " + jqXHR.responseText + errorThrown + textStatus);
		  		  }
			});
			});
		
		//Homecare
		$(document).on('click','#homeCare',function(){


			$("label[for*='heading']").html("<h2>Patient Information :</h2>");
			
			$('#acceptdenydiv').hide();	
			$('#queueLstdiv').hide();
			params=$('#rid').text();
			var target = document.getElementById('loading');
			var spinner = new Spinner().spin(target);
			
			
			$.ajax({
				type: 'GET',
				url: '${pageContext.request.contextPath}/rest/ws/sp/getHomeHealthCare?id='+params,
				dataType: "json",
		  		data: params,
				success: function(data){
					
					var dependentjson = $.trim(data);
					$this=$(this);
					var dviewScr = $("#hCareView").html();
					var dviewtmpl = Handlebars.compile(dviewScr);
					$("#patientdiv").empty();
					$("#patientdiv").append(dviewtmpl(data));
					spinner.stop();
				},
		  		  error: function(jqXHR, textStatus,errorThrown) {
		  			//pilotUIJs.common.waitingDialogue.hide();
					alert("getHomeHealthCare Request failed: " + jqXHR.responseText + errorThrown + textStatus);
		  		  }
			});
		});
		
		
		
		//dependent display
		$(document).on('click','#dependent',function(){
			
			$("label[for*='heading']").html("<h2>Patient Information :</h2>");
			
			
			$('#acceptdenydiv').hide();			
			params=$('#rid').text();
			var target = document.getElementById('loading');
			var spinner = new Spinner().spin(target);
			
			
			$.ajax({
				type: 'GET',
				url: '${pageContext.request.contextPath}/rest/ws/sp/getDependentInfo?id='+params,
				dataType: "json",
		  		data: params,
				success: function(data){
					
					var dependentjson = $.trim(data);
					$this=$(this);
					var dviewScr = $("#depedentView").html();
					var dviewtmpl = Handlebars.compile(dviewScr);
					$("#patientdiv").empty();
					$("#patientdiv").append(dviewtmpl(data));
					spinner.stop();
					
				},
		  		  error: function(jqXHR, textStatus,errorThrown) {
		  			//pilotUIJs.common.waitingDialogue.hide();
					alert(" getDependentInfo Request failed: " + jqXHR.responseText + errorThrown + textStatus);
		  		  }
			});
			});

		//additional display
		$(document).on('click','#addCareInfo',function(){
			
			$("label[for*='heading']").html("<h2>Patient Information :</h2>");
			$('#acceptdenydiv').hide();
			$('#queueLstdiv').hide();
			params=$('#rid').text();
			var target = document.getElementById('loading');
			var spinner = new Spinner().spin(target);
			
			
			$.ajax({
				type: 'GET',
				url: '${pageContext.request.contextPath}/rest/ws/sp/getAddCareSer?id='+params,
				dataType: "json",
		  		data: params,
				success: function(data){
					var dependentjson = $.trim(data);
					$this=$(this);
					var dviewScr = $("#addnServSView").html();
					var dviewtmpl = Handlebars.compile(dviewScr);
					$("#patientdiv").empty();
					$("#patientdiv").append(dviewtmpl(data));
					spinner.stop();
					
				},
		  		  error: function(jqXHR, textStatus,errorThrown) {
						alert("getAdditionalServices Request failed: " + jqXHR.responseText + errorThrown + textStatus);
		  		  }
			});
			});
		
		
		
		//msgTxt display
		$(document).on('click','#msgCareTxt',function(){
			
			$("label[for*='heading']").html("<h2>Patient Information :</h2>");
			$('#acceptdenydiv').hide();
			$('#queueLstdiv').hide();
			params=$('#rid').text();
			var target = document.getElementById('loading');
			var spinner = new Spinner().spin(target);
			
			
			$.ajax({
				type: 'GET',
				url: '${pageContext.request.contextPath}/rest/ws/sp/getMessageCare?id='+params,
				dataType: "json",
		  		data: params,
				success: function(data){
					var dependentjson = $.trim(data);
					$this=$(this);
					var dviewScr = $("#messgSView").html();
					var dviewtmpl = Handlebars.compile(dviewScr);
					$("#patientdiv").empty();
					$("#patientdiv").append(dviewtmpl(data));
					spinner.stop();
					
				},
		  		  error: function(jqXHR, textStatus,errorThrown) {
						alert("getMessageCare Request failed: " + jqXHR.responseText + errorThrown + textStatus);
		  		  }
			});
			});
		
		
		//evtProvider
$(document).on('click','#evtProvider',function(){
			
			$("label[for*='heading']").html("<h2>Patient Information :</h2>");
			$('#acceptdenydiv').hide();
			$('#queueLstdiv').hide();
			params=$('#rid').text();
			var target = document.getElementById('loading');
			var spinner = new Spinner().spin(target);
			
			
			$.ajax({
				type: 'GET',
				url: '${pageContext.request.contextPath}/rest/ws/sp/getPatEvtProviderName?id='+params,
				dataType: "json",
		  		data: params,
				success: function(data){
					var dependentjson = $.trim(data);
					$this=$(this);
					var dviewScr = $("#ProviderNameView").html();
					var dviewtmpl = Handlebars.compile(dviewScr);
					$("#patientdiv").empty();
					$("#patientdiv").append(dviewtmpl(data));
					spinner.stop();
					
				},
		  		  error: function(jqXHR, textStatus,errorThrown) {
						alert("getPatEvtProviderName Request failed: " + jqXHR.responseText + errorThrown + textStatus);
		  		  }
			});
			});
		//ProvidertranportView
$(document).on('click','#evtTransport',function(){
			
			$("label[for*='heading']").html("<h2>Patient Information :</h2>");
			$('#acceptdenydiv').hide();
			$('#queueLstdiv').hide();
			params=$('#rid').text();
			var target = document.getElementById('loading');
			var spinner = new Spinner().spin(target);
			
			
			$.ajax({
				type: 'GET',
				url: '${pageContext.request.contextPath}/rest/ws/sp/getPatEvtTransport?id='+params,
				dataType: "json",
		  		data: params,
				success: function(data){
					var dependentjson = $.trim(data);
					$this=$(this);
					var dviewScr = $("#ProvidertranportView").html();
					var dviewtmpl = Handlebars.compile(dviewScr);
					$("#patientdiv").empty();
					$("#patientdiv").append(dviewtmpl(data));
					spinner.stop();
					
				},
		  		  error: function(jqXHR, textStatus,errorThrown) {
						alert("getPatEvtTransport Request failed: " + jqXHR.responseText + errorThrown + textStatus);
		  		  }
			});
			});


//umo
$(document).on('click','#umo',function(){
	
	$("label[for*='heading']").html("<h2>Patient Information :</h2>");
	$('#acceptdenydiv').hide();
	$('#queueLstdiv').hide();
	params=$('#rid').text();
	var target = document.getElementById('loading');
	var spinner = new Spinner().spin(target);
	
	
	$.ajax({
		type: 'GET',
		url: '${pageContext.request.contextPath}/rest/ws/sp/getOtherUMO?id='+params,
		dataType: "json",
  		data: params,
		success: function(data){
			var dependentjson = $.trim(data);
			$this=$(this);
			var dviewScr = $("#ProvidertranportView").html();
			var dviewtmpl = Handlebars.compile(dviewScr);
			$("#patientdiv").empty();
			$("#patientdiv").append(dviewtmpl(data));
			spinner.stop();
			
		},
  		  error: function(jqXHR, textStatus,errorThrown) {
				alert("getOtherUMO Request failed: " + jqXHR.responseText + errorThrown + textStatus);
  		  }
	});
	});