﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace X12Engine.BO.X12._278
{
   public class TransactionLog
   {
		public int RequestId { get; set; }
		public DateTime RequestDate { get; set; }
		public DateTime ResponseDate { get; set; }
		public string RequestMessageText { get; set; }
		public string ResponseMessageText { get; set; }
		public int AuthorizationCount { get; set; }
		public int QueueId { get; set; }
		public string RequestStatus { get; set; }
		public string FeeAuthorizationSIDs { get; set; }
		public string UAK { get; set; }
		public int Sta3n { get; set; }
		public string FeeVendorID { get; set; }
		public string PatientFullName { get; set; }
		public string AdminReferenceNumber { get; set; }
		public string EventTraceNumber { get; set; }
		public string GroupControlNumber { get; set; }
		public string LogEvent { get; set; }
		public string VendorQualifier { get; set; }

		
	}
}


