public class Link {
	
	public String bookname;
	public int noSold;
	
	public Link next;
	
	//constructor
	public Link (String bkname, int nSold){
		this.bookname=bkname;
		this.noSold=nSold;
	}
	
	public void display(){
		System.out.println("bookname -:" + bookname +"  No Sold:-"+ noSold);
	}
	
	public String toString(){
		return bookname;
	}
	
	public static void main (String[] args){
		LinkList thelinkList= new LinkList();
		
		thelinkList.insertaLink("my fisrt", 1000);
		thelinkList.insertaLink("my second", 2000);
		thelinkList.insertaLink("my third", 3000);
		thelinkList.insertaLink("my fourth", 4000);
		
		thelinkList.displyLL();
		
		System.out.println("found " +thelinkList.find("my third1").bookname);
	}

}

class LinkList{
	
	public Link firstLink;
	
	LinkList(){
		firstLink=null;		
	}
	
	public boolean isEmpty(){
		return (firstLink==null);
	}
	
	public void insertaLink(String bname, int nsold){
		Link newLink = new Link ( bname,  nsold);
		
		newLink.next= firstLink;
		firstLink=newLink;	
	}
	
	public Link romoveLink(){
		Link newLink= firstLink;
		
		if (!isEmpty()){
			firstLink = firstLink.next;
		} else {
			System.out.println("Empty linkedlist");
		}		
		return newLink;
	}
	
	public void displyLL(){
		Link theLink =firstLink;
		
		while (theLink!=null){
			theLink.display();
			
			System.out.println(" next link :"+ theLink.next +"\n");
			
			theLink=theLink.next;
		}
	}
	
	public Link find (String bname){
		Link theLink =firstLink;
		
		if (!isEmpty()){
			while (theLink.bookname!=bname){
				if (theLink.next==null){
					return null;
				}
				else{
					theLink = theLink.next;
				}
				
			}
		}
		else{
			System.out.println("linked list is empty");
		}
		return theLink;
	}
	
	public Link removeLink (String bname){
		Link curLink =firstLink;
		Link preLink =firstLink;
		
		while (curLink.bookname!= null){
			if (curLink.next == null){
				return null;
			} else {
				preLink = curLink;
				curLink.next = curLink;
			}
			
			if (curLink==firstLink){
				curLink.next=firstLink.next;
			}else{
				preLink.next=curLink.next;
			}
		}
		
		return curLink;
	}
	
}