package va.gov.domain;

import java.lang.reflect.Type;

import com.google.gson.JsonArray;
import com.google.gson.JsonElement;
import com.google.gson.JsonObject;
import com.google.gson.JsonSerializationContext;
import com.google.gson.JsonSerializer;

import va.gov.jpa.dto.ARPSQueueCodes;



public class AATGUIQueueAdapter implements JsonSerializer<ARPSQueueCodes>{

	
	
	    public JsonElement serialize(ARPSQueueCodes sp, Type type, JsonSerializationContext jsc) {
	    	
	    	JsonArray jarray = new JsonArray();
	    	
	    	
	        JsonObject jsonObject = new JsonObject();
	        jsonObject.addProperty("id", sp.getQueueId());
	        jsonObject.addProperty("name", sp.getQueueName());
	        jsonObject.addProperty("count", sp.getqCount());
	        jsonObject.addProperty("menuOrder", sp.getMenuOrder());
	        
	        return jsonObject;      
	    }
	}
	

