package va.gov.domain;

import java.lang.reflect.Type;
import java.util.List;

import com.google.gson.JsonElement;
import com.google.gson.JsonObject;
import com.google.gson.JsonSerializationContext;
import com.google.gson.JsonSerializer;

import va.gov.jpa.dto.DenialReason;
import va.gov.model.AcceptDenial;



public class AcceptDenialReasonAdapter implements JsonSerializer<AcceptDenial>{

	
	
	    public JsonElement serialize(AcceptDenial sp, Type type, JsonSerializationContext jsc) {
	        JsonObject jsonObject = new JsonObject();
	        jsonObject.addProperty("patid", sp.getPatId());
	        List<DenialReason> dlist = sp.getDenialList();
	        for (int i=0; i<dlist.size();i++){
		        jsonObject.addProperty("id", dlist.get(0).getId());
		        jsonObject.addProperty("name", dlist.get(0).getName());
		        jsonObject.addProperty("code", dlist.get(0).toString());
	        }
	        return jsonObject;      
	    }
	}
	

