package va.gov.domain;

import java.lang.reflect.Type;
import java.util.List;

import org.json.JSONArray;

import com.google.gson.JsonArray;
import com.google.gson.JsonElement;
import com.google.gson.JsonObject;
import com.google.gson.JsonSerializationContext;
import com.google.gson.JsonSerializer;

import va.gov.jpa.dto.ARPSQueueCodes;
import va.gov.model.QueueList;



public class QueueListAdapter implements JsonSerializer<QueueList>{

	
	
	    public JsonElement serialize(QueueList sp, Type type, JsonSerializationContext jsc) {
	    	
	    	JsonArray jarray = new JsonArray();
	    	
	    	
	        JsonObject jsonObject = new JsonObject();
	        jsonObject.addProperty("GrpQueue", sp.getL1QueueName());
	        List<ARPSQueueCodes> dlist = sp.getQueueList();
	        JSONArray jsArray = new JSONArray(dlist);
	       
	        for (int i=0; i<dlist.size();i++){
	        	JsonObject qjson = new JsonObject();
	        	//qjson.addProperty("queueId", dlist.get(i).getQueueId());
	        	qjson.addProperty("queueName", dlist.get(i).getQueueName());
	        	//qjson.addProperty("count", dlist.get(i).getqCount());
	        	//qjson.addProperty("menuOrder", dlist.get(i).getMenuOrder());
		        jarray.add(qjson);
	        }
	        jsonObject.addProperty("QueueList", jsArray.toString());
	        
	        return jsonObject;      
	    }
	}
	

