package va.gov.jpa.service;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.PersistenceContext;

import va.gov.util.PersistenceManager;

public class CommonEntityManagerFactory {
	@PersistenceContext		
	private static EntityManager em ;
	
	/*
	 * Creates the Singleton instance, if needed.
	 */
	public static synchronized EntityManager entityManagerFactory()
	{
		
		if(em==null)
		{
		EntityManagerFactory entityManagerFactory = PersistenceManager.getInstance().getEntityManagerFactory();
	    em = entityManagerFactory.createEntityManager();
		}
	    return em;
	}
	
}
